2015-05-18  Paul Fertser <fercerpav@gmail.com>

	* : The openocd-0.9.0 release Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2015-05-10  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/stlink: fix SRST issue with stlink-v1 Even though the latest firmware version for stlink-v1 supports "v2"
	JTAG API, the hardware SRST handling is still broken; amend the
	check accordingly.  Change-Id: I62c662cd7aa209d2d6e9fe260f5c0be81d0ce672 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2761 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-03-10  Peter A. Bigot <pab@pabigot.com>

	* : nrf51: refine and extend known devices table The notation Gx0 in the nRF51 Series Compatibility Matrix indicates
	that the specified HWID is valid only for build code 0 of each chip,
	and for subsequent builds the HWID will be different.  Replace the
	Gx0 notation with G0 throughout, and add the missing HWID for
	nRF51422 QFAC A1 (present on the newer nRF51 developer boards).  See:

	https://www.nordicsemi.com/eng/nordic/download_resource/41917/5/55913589See:

	https://devzone.nordicsemi.com/question/30774/mapping-hwid-to-revision-information/Change-Id: I79d842137d41342db35904867c48b06fbc6fbc70 Signed-off-by:
	Peter A. Bigot <pab@pabigot.com> Signed-off-by: Angus Gratton
	<gus@projectgus.com> Reviewed-on: http://openocd.zylin.com/2593
	Tested-by: jenkins Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2015-05-02  Austin Morton <austinpmorton@gmail.com>

	* : server: avoid the tcl server crashing when there is no target Since commit 1d0cf0df37a4e831ca3121ba8987d5848cad3e42 ("server:
	tcl_notifications command") connecting to the tcl server would
	terminate openocd. Fix this.  Change-Id: I36e2a7482f7db3a30ff7e9f969c3b6cda9599382 Signed-off-by:
	Austin Morton <austinpmorton@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2759 Tested-by: jenkins Reviewed-by: Forest
	Crossman <cyrozap@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-05-16  Paul Fertser <fercerpav@gmail.com>

	* : manual: fix usb_blaster_pin command syntax and description Change-Id: If3fbb2fe4f1842bea3962a6b903fd16aa9e8b545 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2771 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2015-05-15  Paul Fertser <fercerpav@gmail.com>

	* : manual: reorder flash driver info Put all the individual driver descriptions to where they really
	belong, fix sectioning etc.  Change-Id: I94dc09e9a296ec57db4475f8dfb0a7d62a754aa4 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2770 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2015-05-15  Paul Fertser <fercerpav@gmail.com>

	* : manual: remove the lists of config files Directory listings are volatile and serve no purpose in the manual.
	Just remove them.  Change-Id: I63d54ba209c29eafb6608cf406b8ce5d8e9ee6c8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2768 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2015-04-24  Paul Fertser <fercerpav@gmail.com>

	* : The openocd-0.9.0-rc1 release candidate Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2015-04-24  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/ti_icdi: do not segfault when adapter can't be
	opened Change-Id: Id3af8dfd18b13947bca4f3c89c2516ccbcef60b6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2742 Tested-by: jenkins

2014-05-02  Jiri Kastner <cz172638@gmail.com>

	* : target/ti_tms570.cfg: added several JTAG IDs for TMS570LS family from TI datasheets for whole cortex-r4 family added JTAG IDs TMS570LS1227 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns192 	0x0B95502F 16/32-Bit RISC Flash Microcontroller, TMS5703137-EP (Rev. B)
	http://www.ti.com/lit/pdf/spns230 	0x0D8A002F 	0x2D8A002F 	0x3D8A002F RM48L952 16- and 32-Bit RISC Flash Microcontroller (Rev. B)
	http://www.ti.com/lit/pdf/spns177 	0x0D8A002F 	0x2D8A002F 	0x3D8A002F RM46L852 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns185 	0x0B95502F RM48Lx30 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns176 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F RM46Lx30 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns182 	0x0B95502F RM46Lx50 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns184 	0x0B95502F TMS570LS04x/03x 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns186 	0x0B97102F RM42L432 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns180 	0x0B97102F RM46Lx40 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/ 	0x0B95502F TMS570LS12x5 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns191 	0x0B95502F RM48Lx40 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns175 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F TMS570LS31x4/21x4 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns165 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F TMS570LS20216/20206/10216/10206/10116/10106 16/32-Bit RISC Flash
	Microcontroller (Rev. F) http://www.ti.com/lit/pdf/spns141 	0x0B7B302F TMS570LS31x5/21x5 16- and 32-Bit RISC Flash Microcontroller (Rev. B)
	http://www.ti.com/lit/pdf/spns164 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F RM48Lx50 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns174 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F TMS570LS3137 16- and 32-Bit RISC Flash Microcontroller (Rev. B)
	http://www.ti.com/lit/pdf/spns162 	0x0B8A002F 	0x2B8A002F 	0x3B8A002F TMS570LS12x4 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns190 	0x0B95502F TMS570LS1115 16- and 32-Bit RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns189 	0x0B95502F TMS570LS11x4 16- and 32-BIT RISC Flash Microcontroller (Rev. A)
	http://www.ti.com/lit/pdf/spns188 	0x0B95502F Change-Id: Idf53a44851e1bb4bde4a74c64b65d4411e56da7c Signed-off-by:
	Jiri Kastner <cz172638@gmail.com> Tested-by: Jiri Kastner
	<cz172638@gmail.com> Reviewed-on: http://openocd.zylin.com/2123
	Tested-by: jenkins Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2015-04-24  Paul Fertser <fercerpav@gmail.com>

	* : rtos/mqx: prevent crash with -rtos auto Since mqx comes last in the list, with the auto option its
	update_threads is called even though it wasn't detected.  This check should be removed from all the rtos helpers and moved to
	the generic code, but better do it later all in one go.  Change-Id: If24ab42a58a468d90e9f12028d4c2fb76a9bc2e8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2741 Tested-by: jenkins

2015-04-17  Paul Fertser <fercerpav@gmail.com>

	* : target: try to reexamine even when polling fails After intermittent connection failures or target power failures it
	might be necessary to try reexamination even when polling fails.
	This should make communication with Cortex-A targets more reliable.  This was runtime tested with stlink attached to an stm32l1 and an
	FTDI JTAG adapter attached to an stm32f1 target.  Change-Id: I38c4db8124b7f4bbf53ddda53c13273449f49c15 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2721 Tested-by: jenkins Reviewed-by: Felipe
	Balbi <balbi@ti.com> Reviewed-by: Tomas Vanek <vanekt@fbl.cz>
	Reviewed-by: Andreas Färber <afaerber@suse.de>

2015-03-17  Simon Qian <openocd@versaloon.com>

	* : configure the SWD frequency when setting adapter speed in SWD
	mode for versaloon Change-Id: I99cdc11ba1442e4c9efaa0f1de8e7089ec725e14 Signed-off-by:
	Simon Qian <openocd@versaloon.com> Reviewed-on:
	http://openocd.zylin.com/2608 Tested-by: jenkins Reviewed-by: Tomas
	Vanek <vanekt@fbl.cz> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-04-09  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : stlink_usb.c: Decode some more errors.  Change-Id: I637cb63bd39120554aa184eaa48fd00a4852359f Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2706 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-04-08  Marc Schink <openocd-dev@marcschink.de>

	* : flash: efm32: Add support for EZR32LG and EZR32WG.  This patch was tested with an EZR32WG Starter Kit.  Change-Id: I0f7c619e715fe30e88e6da3bead0806dd3bce819 Signed-off-by:
	Marc Schink <openocd-dev@marcschink.de> Reviewed-on:
	http://openocd.zylin.com/2700 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-04-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : cmsis-dap: print vendor and product id on open failure Change-Id: Iae7ed8d59a722b805536550a8033f5fb7c85c5fc Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2708 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com>

2015-04-09  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/stm32f3: fix reset init for stlink Use mmw to manipulate only selected bits of the word. msb and mwb
	verify the memory location and may error on PLLRDY set as a result
	of PLLON written.  Change-Id: I9a4c1e58f002a1e5e99be1bd34aac27ba65d111d Reported-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2702 Tested-by: jenkins

2015-03-15  Paul Fertser <fercerpav@gmail.com>

	* : Fix several format specifiers errors exposed by arm-none-eabi Change-Id: I1fe5c5c0b22cc23deedcf13ad5183c957551a1b7 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2719 Tested-by: jenkins

2015-04-16  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : rtos: add instructions and helper code to make FreeRTOS work
	again Run-time tested with FreeRTOS V8.1.2 (current version).  For the time being I propose this way of dealing with RTOSes that do
	not export necessary information on their own.  I also suggest implementing a similar scheme for ChibiOS, exporting
	the necessary struct fields' offsets via an OpenOCD-specific helper.  Change-Id: Iacf8b88004d62206215fe80011fd7592438446a3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2347 Tested-by: jenkins

2015-03-14  Tomas Vanek <vanekt@fbl.cz>

	* : AT91SAM4L: handle reset run/halt in SMAP This is a remake of http://openocd.zylin.com/1966 originally written
	by Angus Gratton <gus@projectgus.com> ATSAM4L has a "System Manager Access Port" (SMAP) that holds the CPU
	in reset if TCK is low when srst (RESET_N) is deasserted.  Without
	this change any use of sysresetreq or srst locks the chip in reset
	state until power is cycled.  A new function smap_reset_deassert is called as reset-deassert-post
	event handler.  It optionally prepares reset vector catch and SMAP
	reset is released then.  Change-Id: Iad736357b0f551725befa2b9e00f3bc54504f3d8 Signed-off-by:
	Tomas Vanek <vanekt@fbl.cz> Reviewed-on:
	http://openocd.zylin.com/2604 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-03-14  Paul Fertser <fercerpav@gmail.com>

	* : target/cortex_a: emit a clear error message when dbgbase can't
	be detected In some cases (the most obvious are TI's SoCs) ROM table lacks
	entries for the cores, so OpenOCD has no way to determine what debug
	base to use. Due to an error fixed in ec9ccaa28849 it wasn't handled
	properly, and OpenOCD would continue to try using dbgbase = 0, which
	happened to work for e.g. AM437x.  This patch adds a clear indication to the user that to access such a
	target, dbgbase must be set manually in the config.  Reported by Felipe Balbi on IRC.  Change-Id: Id8533e708f44b76550eb8b659564f5f45717c298 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2603 Tested-by: jenkins

2015-04-06  Paul Fertser <fercerpav@gmail.com>

	* : jtag/adi_v5_jtag: fix infinite recursion in
	jtagdp_transaction_endcheck() Calling ahbap_debugport_init() is wrong here because the actions
	performed by it might lead to jtagdp_transaction_endcheck errors
	thus leading to infinite recursion.  The removed code is not needed now because target polling should
	lead to reexamination automatically, and both cortex_a and cortex_m
	call ahbap_debugport_init() as part of their target examine handler.  This was reported as a real life issue on IRC by Weaselweb with
	Cortex-A target. Quitte reports similar results in some
	circumstances (adapter_khz too high) with LPC17xx.  Change-Id: I7148022f76a1272b5262d251f2e807ffb1543547 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2697 Tested-by: jenkins

2015-04-03  Paul Fertser <fercerpav@gmail.com>

	* : jtag/startup.tcl: fix regression with autoselecting JTAG This regression was introduced with d90b86d8. "transport select"
	doesn't throw an error anymore and autoselects the first available
	transport on its own.  Reported by moyix on IRC.  Change-Id: I3f303c0372e915931cca4b28af450694abc1a63e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2693 Tested-by: jenkins

2015-03-13  Paul Fertser <fercerpav@gmail.com>

	* : Tcl exception codes cleanup, shutdown command amendments This patch might influence openocd Tcl commands behaviour in subtle
	ways, please give it a nice testing.  The idea is that if an OpenOCD Tcl command returns an error, an
	exception is raised, and then the return code is propogated all the
	way up (or to the "catch" if present). This allows to detect
	"shutdown" which is not actually an error but has to raise an
	exception to stop execution of the commands that follow it in the
	script.  openocd_thread special-cases shutdown because it should then
	terminate OpenOCD with a success error code, unless shutdown was
	called with an optional "error" argument which means terminate with
	a non-zero exit code.  Change-Id: I7b6fa8a2e24c947dc45d8def0008b4b007c478b3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2600 Tested-by: jenkins Reviewed-by: Juha
	Niskanen <juha.niskanen@haltian.com> Reviewed-by: Jens Bauer
	<jens@gpio.dk> Reviewed-by: Oleksij Rempel <linux@rempel-privat.de>

2015-02-26  Paul Fertser <fercerpav@gmail.com>

	* : jtag/tcl: fix incorrect memcpy in jim_newtap_expected_id Found by clang static checker.  On the very first call of jim_newtap_expected_id()
	pTap->expected_ids and expected_len are null, and there's nothing to
	copy. This patch changes this cryptic code to use realloc() instead.  Change-Id: Ic0b5140d08257a906f15b55a2ae64db7bc06d5f1 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2562 Reviewed-by: Stian Skjelstad
	<stian@nixia.no> Tested-by: jenkins

2015-03-17  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : lpc2000: Removed cmd51_can_xxxxb variables.  Current flash driver can fail to write across the sector boundary.
	This patch fixes "thisrun_bytes" set to "cmd51_dst_boundary" value
	instead of "cmd51_can_xxxxb" Referred to SevenW's post and fix,thanks.

	http://sourceforge.net/p/openocd/mailman/openocd-devel/thread/fa32e7d6654df22470dc5f4a3dbc984a%40familiebenschop.nl/#msg33594152Tested on below listed chips.
	LPC810,LPC811,LPC812,LPC824,LPC1115,LPC1343,LPC1347,LPC1227,
	LPC1769,LPC1788,LPC54102,LPC4088 and LPC2388.  Change-Id: If1c6a1daa58ca27c405bd959a784e599a7a8f4d4 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/2607 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2015-03-23  Patrick Noffke <patrick@noffke.me>

	* : Added Atmel SAM4SA16C chip (chip ID 0x28a70ce0).  Change-Id: I45e8e807a36c39940b910b3edb40698c7d8dabd6 Signed-off-by:
	Patrick Noffke <patrick@noffke.me> Reviewed-on:
	http://openocd.zylin.com/2625 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-18  Andreas Färber <afaerber@suse.de>

	* : tcl/target: Add Infineon XMC1000 family target config Basic target config, verified against XMC1100 AA/AB, XMC1200 AA/AB,
	XMC1300 AA/AB manuals.  The default adapter_khz was tested with the XMC1100 Boot Kit.  Change-Id: Iff6ed52d875ccb83c0d4ff0d555b90e0f28b860c Signed-off-by:
	Andreas Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2471 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-03-01  Andreas Färber <afaerber@suse.de>

	* : tcl/target: Add Spansion FM4 config Assembled by trial-and-error for an S6E2CC.  Change-Id: I317c12d24c9075ce3de286455fa3ee45731c5c81 Signed-off-by:
	Andreas Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2569 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-03-05  Ed Beroset <beroset@ieee.org>

	* : em357: Corrected EM357 support including errata details Original submitted code had only been tested with em358, but testing
	with actual em357 revealed errors that this patch corrects.  Change-Id: I70cf31210de8ed84e3755a56e76261ad200322bb Signed-off-by:
	Ed Beroset <beroset@ieee.org> Reviewed-on:
	http://openocd.zylin.com/2581 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-11-21  Evan Hunter <ehunter@broadcom.com>

	* : RTOS: Add logging to FreeRTOS and general RTOS Change-Id: I43d14f3b59daae7f90c344abdf71eaa8f74ef7ef Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/2391 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-03-09  Paul Fertser <fercerpav@gmail.com>

	* : jtag/core: honour SRST timings in SWD mode Since SWD is currently abusing the JTAG command queue for reset and
	sleep handling (and all other operations are performed in a
	different way), sleep needs to be forced explicitly to ensure
	correct timings.  Change-Id: I5b0da6cbb7d0560154e4077b261aa6828cefc892 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2591 Tested-by: jenkins Reviewed-by: Tomas
	Vanek <vanekt@fbl.cz> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-02-28  Jeff Ciesielski <jeffciesielski@gmail.com>

	* : tcl/board: Add Infineon XMC4200 Application Kit config Change-Id: I3a946ba3745da651d470cd574222ba5c7147ac9d Signed-off-by:
	Jeff Ciesielski <jeffciesielski@gmail.com> Signed-off-by: Andreas
	Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2566 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-18  Andreas Färber <afaerber@suse.de>

	* : tcl/target: Add Infineon XMC4000 family config Base config, verified against XMC4500, XMC4400 and XMC4100/XMC4200
	manuals.  Change-Id: I10907bdf307bc6d11dc5454bf5391758de49dc30 Signed-off-by:
	Andreas Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2480 Tested-by: jenkins Reviewed-by: Jeff
	Ciesielski <jeffciesielski@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-03-19  Felipe Balbi <balbi@ti.com>

	* : target: icepick: call icepick_c_setup it also works on icepick_d.  Change-Id: I50c0c81286aae673c94ea77e47454ff48eab1668 Signed-off-by:
	Felipe Balbi <balbi@ti.com> Reviewed-on:
	http://openocd.zylin.com/2623 Tested-by: jenkins Reviewed-by: Tom
	Rini <trini@konsulko.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-03-18  Felipe Balbi <balbi@ti.com>

	* : tcl: target: am437x: pass coreid This commit is only for the sake of completeness as default coreid
	is zero. In any case, coreids 1-4 are used for the different PRU
	cores inside the SoC.  Change-Id: I775f2f444b1a908ffaf7bdbc43bcc966f19668c4 Signed-off-by:
	Felipe Balbi <balbi@ti.com> Reviewed-on:
	http://openocd.zylin.com/2621 Tested-by: jenkins Reviewed-by: Tom
	Rini <trini@konsulko.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-03-18  Felipe Balbi <balbi@ti.com>

	* : target: am437x: fix DebugSS DAP ID Main DAP (where Cortex A9 sits) ID is actually 0x46b6902f. Fix it.  Change-Id: Ifa3335186bcf60d264d4ecea477bfe2f5ca10ead Signed-off-by:
	Felipe Balbi <balbi@ti.com> Reviewed-on:
	http://openocd.zylin.com/2619 Tested-by: jenkins Reviewed-by: Tom
	Rini <trini@konsulko.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-03-16  Felipe Balbi <balbi@ti.com>

	* : tcl: am437x: add reset-init event handler this event handler will configure and lock PLLs and configure DDR so
	platform is placed in usable state.  Change-Id: Idd02f4c9789181d69578f8606ac3576ea1dd8a0b Tested-by: Tom
	Rini <trini@konsulko.com> Signed-off-by: Felipe Balbi <balbi@ti.com>
	Reviewed-on: http://openocd.zylin.com/2616 Tested-by: jenkins
	Reviewed-by: Tom Rini <trini@konsulko.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-03-16  Felipe Balbi <balbi@ti.com>

	* : tcl: am437x: define registers to be used later a later commit will implement a proper reset-init handler to lock
	pll and configure ddr as we should.  Change-Id: I432cf28a5a944bfa83c20aed7298dbd29df30e38 Tested-by: Tom
	Rini <trini@konsulko.com> Signed-off-by: Felipe Balbi <balbi@ti.com>
	Reviewed-on: http://openocd.zylin.com/2614 Tested-by: jenkins
	Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2015-03-13  Felipe Balbi <balbi@ti.com>

	* : tcl: board: ti_am437x_evm: select jtag transport default already is jtag, but this silences a warning during startup.  Change-Id: I94478327bbb259649500ef74a5b5c10d51e2a517 Signed-off-by:
	Felipe Balbi <balbi@ti.com> Reviewed-on:
	http://openocd.zylin.com/2612 Tested-by: jenkins Reviewed-by: Tom
	Rini <trini@konsulko.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-03-13  Felipe Balbi <balbi@ti.com>

	* : tcl: target: am437x.cfg: pass correct dbgbase Since commit ec9ccaa28849 (arm_adi_v5: make
	dap_lookup_cs_component() traverse subtables and handle multicore)
	AM437x devices can't be used with OpenOCD anymore. The reason is
	that dbgbase used to be set to zero before that commit and that just
	happens to work with AM437x devices.  A more robust solution is to pass correct dbgbase when creating the
	target, which this commit does.  Signed-off-by: Felipe Balbi <balbi@ti.com> Change-Id:
	Iaf2617804324de8094b25137943e08b84f14c75f Reviewed-on:
	http://openocd.zylin.com/2602 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Tom Rini
	<trini@konsulko.com>

2015-02-26  Mateusz Manowiecki <segmentation@fault.pl>

	* : jtag/drivers/ftdi.c: removed memory leak swd_cmd_queue buffer memory leak removed Change-Id: Iafcdf034d32a37d577b58b6256c8fd9b064ce228 Signed-off-by:
	Mateusz Manowiecki <segmentation@fault.pl> Reviewed-on:
	http://openocd.zylin.com/2563 Tested-by: jenkins Reviewed-by:
	Andreas Färber <afaerber@suse.de> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-03-08  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : Add configuration for EFM32 Gecko boards with Segger J-Link.  Tested with Tiny Gecko.  Change-Id: Iddb87170b6aaaf7f15d3c4517c8661dd6394be8f Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2585 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-25  Angus Gratton <gus@projectgus.com>

	* : transport: make 'transport select' auto-select the first
	available transport if not set This should allow most of the existing configurations for older
	versions to remain compatible without forcing the user to change his
	or her config to explicitly select transport.  Also in some circumstances can remove the need to chain a "-c
	transport select X" when building custom configs on the command
	line, which seems like a common new user pitfall.  Change-Id: Ic87a38c0b9b88e88fb6d106385efce2f39381d3d Suggested-by:
	Petteri Aimonen <jpa@git.mail.kapsi.fi> Signed-off-by: Angus Gratton
	<gus@projectgus.com> Reviewed-on: http://openocd.zylin.com/2551
	Reviewed-by: Paul Fertser <fercerpav@gmail.com> Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2014-10-26  Paul Fertser <fercerpav@gmail.com>

	* : drivers/cmsis-dap: port to common SWD framework Valgrind-tested.  Comparison of flashing performance on an FRDM-KL25Z board running
	mbed CMSIS-DAP variant, 5MHz clock, old driver: wrote 28096 bytes from file demo.elf in 26.833590s (1.023 KiB/s)
	verified 27264 bytes in 1.754972s (15.171 KiB/s) this implementation: wrote 28096 bytes from file demo.elf in 3.691939s (7.432 KiB/s)
	verified 27264 bytes in 0.598987s (44.450 KiB/s) Also tested "Keil ULINK-ME CMSIS-DAP" with an STM32F100 target, 5MHz
	clock, results reading from flash, old driver: dumped 131072 bytes in 98.445305s (1.300 KiB/s) this implementation: dumped 131072 bytes in 8.242686s (15.529 KiB/s) Change-Id: Ic64d3124b1d6cd9dd1016445bb627c71e189ae95 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2356 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-03-10  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/kinetis: do not attempt mass-erase in place of a bank
	erase Many kinetis parts come in multi-bank configuration, so this
	optimisation here can't be performed safely.  Investigated and fixed by Richard Braun.  Change-Id: I2b56614b47951595c403a1a8edd3afe11b85679b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2594 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-09  Paul Fertser <fercerpav@gmail.com>

	* : armv7m: add generic trace support (TPIU, ITM, etc.) This provides support for various trace-related subsystems in a
	generic and expandable way.  Change-Id: I3a27fa7b8cfb111753088bb8c3d760dd12d1395f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2538 Tested-by: jenkins

2014-07-03  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : tcl: Add default hooks for STM32F3x Keep clocks running in low power modes. Stop watchdogs from
	interfering with the debug session. Set up PLL and increase clock at
	reset init.  Change-Id: I984d2018f7d47a1042f1e12894563154fa7b566c Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2196 Tested-by: jenkins Reviewed-by: Uwe
	Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-02-28  Andreas Färber <afaerber@suse.de>

	* : jlink: Add variant "J-Link Lite-XMC4000" Avoids "J-Link hw type unknown 0x10" on the Infineon Relax Lite Kit.  Change-Id: I3091623ead2e84b67ac20d9866307ccbb3f26f66 Signed-off-by:
	Andreas Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2568 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-11  Paul Fertser <fercerpav@gmail.com>

	* : server, target, cortex_m: add deinit_target to the API to free
	resources This should facilitate dynamic target creation and removal.  Currently it helps with getting 0 bytes lost report from Valgrind on
	exit (after talking to a nucleo board). However, 1,223,886 bytes in
	5,268 blocks are still reachable which means the app holds pointers
	to that data on exit. The majority comes from the jtag command
	queue, there're also many blocks from TCL command registration.  Change-Id: I7523234bb90fffd26f7d29cdd7648ddd221d46ab Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2544 Tested-by: jenkins Reviewed-by: Stian
	Skjelstad <stian@nixia.no>

2015-02-11  Paul Fertser <fercerpav@gmail.com>

	* : hla/hla_interface: call HLA layout API close() on quit This bug was exposed by Valgrind.  Change-Id: I2e2bc036b49ca3ff22f78f765ee4537763350096 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2543 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-11  Paul Fertser <fercerpav@gmail.com>

	* : target: fix timer callbacks processing Warning, behaviour change: before this patch if a timer callback
	returned an error, the other handlers in the list were not called.  This patch fixes two different issues with the way timer callbacks
	are called: 1. The function is not designed to be reentrant but a nested call is
	possible via: target_handle timer event -> poll -> target events
	before/after reexaminantion -> script_command_run ->
	target_call_timer_callbacks_now . This patch makes function a no-op
	when called recursively; 2. The current code can deal with the case when calling a handler
	leads to its removal but not when it leads to removal of the next
	callback in the list. This patch defers actual removal to
	consolidate it with the calling loop.  These bugs were exposed by Valgrind.  Change-Id: Ia628a744634f5d2911eb329747e826cb9772e789 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2541 Tested-by: jenkins Reviewed-by: Stian
	Skjelstad <stian@nixia.no> Reviewed-by: Andreas Färber
	<afaerber@suse.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-02-15  Paul Fertser <fercerpav@gmail.com>

	* : stlink: avoid null pointer dereference in stlink_usb_close() Otherwise it happens if stlink can not be opened on start.  Change-Id: I7088f10e61508dae230eccfe576a51498c92f5b8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2550 Tested-by: jenkins Reviewed-by:
	Andreas Färber <afaerber@suse.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Stian Skjelstad <stian@nixia.no>

2015-01-29  Paul Fertser <fercerpav@gmail.com>

	* : armv7m: do not access FPU registers when not present This is runtime and valgrind tested with l0, l1 and f3 hla boards.  Change-Id: I49b0b042253d5f3bf216997f0203583db319fe23 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2516 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-31  Paul Fertser <fercerpav@gmail.com>

	* : jimtcl: update to 0.76 release version It makes sense to use the latest released version to ensure
	compatibility.  Change-Id: I0957f927d825fa6fb6a1594ca17bcca46ee6c1a6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2522 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-26  Paul Fertser <fercerpav@gmail.com>

	* : target/cortex_a: remove dead assignment Found by clang static checker.  Change-Id: I77b0dc18188328fdb28d07b9e5c52e06182d9e2b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2561 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-26  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/sim3x: remove dead assignment Found by clang static code checker.  Change-Id: Ic1370f8d7a48f08da6514afec5aacde38af7dfb6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2559 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-12-19  Karl Palsson <karlp@remake.is>

	* : contrib: itmdump: fix incorrect format printf Change-Id: I29100e4b284e031613586a66daa74987d86ac9e1 Signed-off-by:
	Karl Palsson <karlp@tweak.net.au> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2449
	Tested-by: jenkins Reviewed-by: Uwe Bonnes
	<bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-by: Stian
	Skjelstad <stian@nixia.no> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-10-03  Marian Cingel <cingel.marian@gmail.com>

	* : rtos: Freescale MQX rtos support ARMv7E-M (CortexM4) architecture - fix position offset of r2,r3 registers on exception stack - switch 'calloc' arguments - remove prototypes of internal function and typedefs - add NULL check for alloc functions - remove last line of license "Franklin Street, Fifth Floor"   because of 'checkpatch' validation - environment: jlink + twrk60n512 Change-Id: I70840ded15b17dd945ca190ce31e2775078da2d9 Signed-off-by:
	Marian Cingel <cingel.marian@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2353 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-29  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : stm32l1.cfg: Add ID Code of Cat.2 devices.  Change-Id: I4eb5020858c1896e294d633213f3df3fa45b6250 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2517 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Tested-by: jenkins

2015-02-24  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : lpc2000: Add LPC407x/8x flash size auto detection This patch adds auto flash size detection for LPC407x/8x series.  Tested on below listed chips.  LPC4088 LPC1788(regression test) Change-Id: I82f62678a04eac9b84658bd6d1cfdf45be64c931 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/2555 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Jens Bauer <jens@gpio.dk>

2015-01-05  Mateusz Manowiecki <segmentation@fault.pl>

	* : Added system signal handling to Linux version (with http://www.cons.org/cracauer/sigint.html in mind) Change-Id: I15f559bc1122a408c3fb9338ba55c16fab3187e1 Signed-off-by:
	Mateusz Manowiecki <segmentation@fault.pl> Reviewed-on:
	http://openocd.zylin.com/2443 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-09-25  Arne Wichmann <arnew@rasentrimmer.org>

	* : target & board: AT91SAM7A2 and Olimex SAM7-LA2 Initial Support for AT91SAM7A2 on Olimex SAM7-LA2 board.  The board
	seems not to be able to reset into halted mode, as srst is connected
	to NRESET of the cpu (configured srst_pulls_trst).  JTAG RCLK is
	connected to CLK.  Tested with
	interface/ftdi/olimex-arm-usb-ocd-h.cfg.  Change-Id: I2bdd67e3683e45f1119c5850bad294aa107891d8 Signed-off-by:
	Arne Wichmann <arne.wichmann@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2318 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-28  Theodore A. Roth <troth@openavr.org>

	* : nrf51: Update known devices table.  Added new entries to the nrf51_known_devices_table array. New
	entries are documented in the "nRF51 Series Compatability Matrix
	V1.0" found on the Nordic Semi web site. Reordered entries to match
	the order found in the document.  Also added an entry for an undocumented hwid discovered while
	flashing the PCA10031 and PCA10028 dev boards.  Change-Id: Icca7da103d437dc28e651f27ab937fe953b9aac9 Signed-off-by:
	Theodore A. Roth <troth@openavr.org> Reviewed-on:
	http://openocd.zylin.com/2514 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-16  Paul Fertser <fercerpav@gmail.com>

	* : cfg: add board and target configs for TI SimpleLink Wi-Fi CC3200
	LaunchPad Change-Id: I4396ee737c1dad380aa23894bbd1faf75f26d072 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2465 Tested-by: jenkins

2015-01-19  Oleksij Rempel <linux@rempel-privat.de>

	* : tcl/target|board: add configs for Alphascale asm9260t This adds configs for Alphascale asm9260t ARM based SoC and
	Evaluation Kit based on this chip.  Change-Id: Id8d3a1ef204e3ae84540c2693e3d62650ba82f73 Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/2515 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-02-12  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cfg: Fix Kinetis kwikstik/kx config The flash definition belongs in the target cfg. Add some working
	area and suitable reset_config.  Make kx.cfg more similar to klx.cfg.  Disable rclk as it is dead slow and a fixed 1MHz clock seems to
	work.  Change-Id: I8328f179c3a33be64403da93616abb48651bdfe6 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2227 Tested-by: jenkins Reviewed-by: Tomas
	Vanek <vanekt@fbl.cz> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-12-11  Jean-Christian de Rivaz <jc@eclis.ch>

	* : Add SWD protocol support to bitbang This is based on the initial work by Paul Fertser with addition of
	the switch sequences and new ACK handling.  In case of WAIT
	response, the sticky bits are cleared and the last operation is
	repeated. The ACK handling is based on the interpretation of the 8
	February 2006 ARM Debug Interface v5 Architecture Specification Change-Id: Id50855b1ffff310177ccf9883dc9eb0d1b4458c8 Signed-off-by:
	Jean-Christian de Rivaz <jc@eclis.ch> Reviewed-on:
	http://openocd.zylin.com/2437 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2015-02-13  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* :  cortex_m: Add Cortex-M0 identification to ROM-table display.  Change-Id: Id7715a83ba9793844475629aaffd10a81ce586b6 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2549 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Stian Skjelstad
	<stian@nixia.no>

2015-01-27  Paul Fertser <fercerpav@gmail.com>

	* : doc: stellaris driver supports Tiva C too Change-Id: I3b77bf0617c0bbba85cfd678adece57aa7d03e32 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2509 Tested-by: jenkins

2015-01-27  Paul Fertser <fercerpav@gmail.com>

	* : README, doc: add mrvlqspi flash driver information Change-Id: I7a270cdaf3d9119aa75285a8d1e063c2fe2a31b7 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2510 Tested-by: jenkins

2014-08-22  Andrej Kazmin <funnyfish@funnyfish.botik.ru>

	* : flash/nor/at91samd: add small delay before checking nvm status OpenOCD's SWD subsystem doesn't currently have a consistent WAIT
	handling (i.e. it doesn't ever retry, just returns an error), so
	right after a row write a small delay is needed as AHB access is
	stalled during the flashing operation.  The issue was exposed with a samd20 using ftdi SWD transport.  Change-Id: I07d99d3a96845cc689c3904a41f4d41344f200aa Signed-off-by:
	Andrej Kazmin <funnyfish@funnyfish.botik.ru> Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2268 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2015-01-27  Paul Fertser <fercerpav@gmail.com>

	* : server: shutdown command should lead to exit without evaluating
	the rest Currently openocd -c "echo a1; shutdown; echo a2" outputs both "a1" and "a2" and only then shuts down. This patch
	fixes it by making shutdown command throw an exception, so unless
	it's caught the shutdown will behave as expected.  Change-Id: I764268b3a9046ff3e9717d04095ea0673f1d755a Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2511 Tested-by: jenkins Reviewed-by: Uwe
	Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-18  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : xscale: Use the correct method to access registers Change-Id: I900a0787812cb24d1f74ca50eb6bb4f85375a353 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2478 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-18  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: Use the correct method to access registers Convert the DWT register store to use a byte array and fix the byte
	order bug uncovered by that. Also fix an incorrect access of the PC
	value.  Change-Id: Idb5acab71bdf5a96895c358324b05c335e4d32ca Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2476 Tested-by: jenkins Reviewed-by: Uwe
	Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-02-26  Antony Pavlov <antonynpavlov@gmail.com>

	* : mips32: add gdb target description support This commit is inspired by     commit 1255b18fc650193094666ba8afd2018089cc9794     Author: Spencer Oliver <spen@spen-soft.co.uk>     Date:   Fri Sep 13 09:44:36 2013 +0100         armv7m: add gdb target description support Change-Id: I75c3971fd0599d34ed49fb73975378b57f2a4af0 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Signed-off-by: Salvador
	Arroyo <sarroyofdez@yahoo.es> CC: Spencer Oliver
	<spen@spen-soft.co.uk> CC: Oleksij Rempel <linux@rempel-privat.de>
	CC: Paul Fertser <fercerpav@gmail.com> CC: Gregory Fong
	<gregory.0xf0@gmail.com> Reviewed-on: http://openocd.zylin.com/1972
	Reviewed-by: Paul Fertser <fercerpav@gmail.com> Tested-by: jenkins

2015-02-09  Anton Kuzmin <anton.kuzmin@cs.fau.de>

	* : tcl/interface/ftdi: correct LED config for BusBlaster KT-Link Configure the LED to be off by default, blink on activity.  Change-Id: I8515ee66c49bddf866268b85811be15c2dbc086c Signed-off-by:
	Anton Kuzmin <anton.kuzmin@cs.fau.de> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2539
	Tested-by: jenkins

2014-06-27  Angus Gratton <gus@projectgus.com>

	* : nrf51 - Add async loader. Performance on nrf51822QAA/stlink-v2
	from ~3.5KiB/s to ~19.5KiB/s.  Change-Id: Ib0bf41a0cec85f0bd5728551f8ad7f6255e4ea04 Signed-off-by:
	Angus Gratton <gus@projectgus.com> [spamjunkeater@gmail.com: Cleanup
	buffer allocation, detect -1 for unknown pages] Signed-off-by: Erdem
	U. Altunyurt <spamjunkeater@gmail.com> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2204
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2015-01-31  Joerg Fischer <turboj@gmx.de>

	* : J-Link serial number config option Add serial option to jlink config commands, handy when there is more
	than one adapter connected.  To select adapter 0123456 for OpenOCD, use jlink serial 0123456 Change-Id: Ib29ce3f0c4975e1169211721a4531bf4db61f1ee Signed-off-by:
	Joerg Fischer <turboj@gmx.de> Reviewed-on:
	http://openocd.zylin.com/2521 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-27  Paul Fertser <fercerpav@gmail.com>

	* : README: mention "transport select" in quickstart section Change-Id: I027635c3c8632efcf58cf979b9cb2f99e9e7f046 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2512 Tested-by: jenkins Reviewed-by: Uwe
	Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-02-04  Paul Fertser <fercerpav@gmail.com>

	* : doc: document the OCL (on chip flash loader) driver Change-Id: I8afe870c7a16b04473f4822c2df9a7607f0480e7 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2529 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-30  Oleksij Rempel <linux@rempel-privat.de>

	* : tcl/target|board: add config Atheros ar9331 Add configs for Atheros ar9331 MIPS based WiSoC and board based on
	this chip: TP-LINK TL-MR3020 Change-Id: I9e99719bce4bbb28311f6e9cddb32288db6e7b91 Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/2519 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-12-06  Pawel Si <stawel+openocd@gmail.com>

	* : mini51: support for Nuvoton NuMicro M051 series flash memory adds flash support for Nuvoton M052, M054, M058, M0516
	microcontrollers into the mini51 driver, patch also adds support for
	programing LDROM, flash data and flash config.  I've tested it on a M0516LBN microcontroller using an ST-LINK/V2: 1. removing security lock:    openocd -f interface/stlink-v2.cfg  -f target/m051.cfg -c "init ;
	   halt ; mini51 chip_erase; exit" 2. flashing:    openocd -f interface/stlink-v2.cfg  -f target/m051.cfg -c
	   "program file.hex" Change-Id: I918bfbb42461279c216fb9c22272d77501a2f202 Signed-off-by:
	Pawel Si <stawel+openocd@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2426 Tested-by: jenkins Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2015-01-17  Ed Beroset <beroset@ieee.org>

	* : em357: added target files for em357 and em358 This patch adds support for Silicon Labs (formerly Ember) EM357 and
	EM358 chips and derivatives.  Change-Id: Ie63aed95a2f4ef1a6b955e301a51b4de1b3a5462 Signed-off-by:
	Ed Beroset <beroset@ieee.org> Reviewed-on:
	http://openocd.zylin.com/2470 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-01-12  Heinz Schweiger <openocd@htl-steyr.ac.at>

	* : cfg: TI Tiva C dk-tm4c129x Evaluation Kits New Texas Instruments Tiva C Series Boards
	http://www.ti.com/tool/dk-tm4c129x Change-Id: I44f96982e91786b977b3d29e0f4c7053d584a703 Signed-off-by:
	Heinz Schweiger <openocd@htl-steyr.ac.at> Reviewed-on:
	http://openocd.zylin.com/1867 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-09-08  Tomas Vanek <vanekt@fbl.cz>

	* : psoc4: support for Cypress PSoC 41xx/42xx family New NOR flash driver was derived from stm32lx.  Procedure
	ocd_process_reset_inner is overriden in psoc4.cfg to handle reset
	halt and system ROM peculiarities.  Change-Id: Ib835324412d106ad749e1351a8e18e6be34ca500 Signed-off-by:
	Tomas Vanek <vanekt@fbl.cz> Reviewed-on:
	http://openocd.zylin.com/2282 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-24  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32lx: use 0 base to autodetect second bank location Change-Id: I3c296b3e276fcd4d92e4180fc0d2133eebfcc240 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2503 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-23  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32l: unify waiting for busy flag functions Change-Id: I5e6daff8232bb4807dd13a1951fbf335529661d4 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2491 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-20  Paul Fertser <fercerpav@gmail.com>

	* : configure: define WIN32_LEAN_AND_MEAN early to make it effective This macro makes windows builds faster and helps with the old
	"#define interface struct" issue as the word "interface" is part of
	libusb-0.1 API. However, defining it in replacements.h is too late,
	as windows.h gets included by that time from somewhere else.  This solution is provided by Ray Donnelly from the MSYS2 team.  Change-Id: I376a5fb3d106786515d7e1ba44dbd751e4dcdb1b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2486 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-01-23  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32f2x: add new revisions of STM32F4x parts Change-Id: I7585ccbe12fe079e960ce9e33d9a143672a6a08c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2493 Tested-by: jenkins Reviewed-by: Rémi
	PRUD'HOMME <prudhomme.remi@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-12-11  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : Add more STM32F3 IDs in target/stm32f3.cfg.  Change-Id: I4c4462aa025639c4d20e6fa23c8845a69e60afc5 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2435 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2015-01-15  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target: add lpc8xx.cfg This adds a trivial config for LPC8xx chips based on the already
	existing infrastructure in lpc1xxx.cfg.  Change-Id: I7384df1f3c2e3e8ab767319728db5c4f8149480f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2464 Tested-by: jenkins Reviewed-by:
	Andreas Färber <afaerber@suse.de> Reviewed-by: Nemui Trinomius
	<nemuisan_kawausogasuki@live.jp>

2015-01-18  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : armv4_5: Continue the change from uint32_t to uint8_t[4] for
	regs Also remove an unrelated no-op cast.  Change-Id: Ibeb6c72e5b0b0347abb568947a05a179661faf2d Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2473 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Tested-by: jenkins

2015-01-16  Jens Bauer <jens@gpio.dk>

	* : stm32f2x: Fix byte order bug.  Do not use buf_set_u32 on integers; they're not buffers.  If using
	buf_set_u32 on integers, bytes will be exchanged on Big Endian
	targets.  In this particular case, FLASH_OPTCR was incorrectly
	written, causing it to often contain one of these values:
	0x00aaaae1, 0x00aaffef, 0x00ffabe1 or 0x00abffe1.  This
	write-protected the device before flash-programming, causing this
	command...  flash write_image erase unlock myfile.elf ... to fail,
	complaining about write-protection.  Repeating the above command
	would change the OPTCR register each time.  After applying this
	patch, the OPTCR remains "unchanged".  Change-Id: I73d510fcc2e81a01973ad5c6e1aa22715ebd2743 Signed-off-by:
	Jens Bauer <jens@gpio.dk> Reviewed-on: http://openocd.zylin.com/2466
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2015-01-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jtag: Rewrite TAP verification/auto-probe logic Enable auto-creating additional discovered TAPs even if some TAPs
	are predefined, avoiding initialization failure when it's not
	necessary.  Also, drop the arbitrary limit on the number of predefined TAPs.
	Still, don't auto-create any if there are more than 20 TAPs already,
	to stop a noisy connection from creating unlimited TAPs.  Create auto-probed TAPs with less noise.  Reduce code duplication between verification and auto-probing.  Change-Id: I82a504d92dbcc0060206e71f10c5158256b5f561 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2236 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2015-01-21  Jaakko Kukkohovi <jkukkohovi@gmail.com>

	* : jtag/drivers/cmsis-dap-usb: fix cmsis_dap_serial Previously the serial wasn't actually used in hid_open() call, which
	meant that the first device with matching vid:pid was opened
	irrespective of the actual serial number.  Change-Id: I45216ae5d9e0798e97be693c30e2f03c89b9a02b Signed-off-by:
	Jaakko Kukkohovi <jkukkohovi@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2487 Tested-by: jenkins Reviewed-by: Jörg
	Wunsch <openocd@uriah.heep.sax.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-01-10  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/stellaris: Snowflake supports SYSRESETREQ too Change-Id: If4bf472ab8867c54a976bdb5803f7e4f79f350a8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2461 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Ed Beroset
	<beroset@ieee.org>

2015-01-17  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/stlink: demote the output of available speeds to
	DEBUG Change-Id: If0afb6fb1cb2f39619e4e614573065c145255c3e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2469 Reviewed-by: Jens Bauer <jens@gpio.dk>
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2015-01-09  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : stm32f07/9: Both devices have 256 kByte Flash Maximum.  See RM0091, Rev.7. page 56.  Change-Id: I9a98094d49739686f93e26a5112eb0a2a8a7c883 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2458 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-09  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : stm32f09x: Print info in get_stm32x_info.  Change-Id: I5f9b765fe04906e124e2c95ff6bf7193be9d4ce2 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2456 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-10  Paul Fertser <fercerpav@gmail.com>

	* : cfg: add srst_nogate to the supported targets, remove from board
	configs It depends on the particular target whether it can work with SRST
	asserted or not, so this belongs to the target config rather than
	the board config.  Also, this allows for simple openocd -f myboard.cfg -c "reset_config connect_assert_srst" command to be used whenever a user feels a need to connect to an
	unresponsive target.  Change-Id: I3d8da9ae47088fc0c75a20bfdd20074be1014de0 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2459 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-11-21  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : stm32f0/nucleo: Use only one configuration for all stm32f0
	nucleo boards.  Change-Id: Ib2ddcd7a92c0d7ad503ef8e953f2bc304241a9f0 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Reviewed-on:
	http://openocd.zylin.com/2396 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-12-09  Karl Palsson <karlp@remake.is>

	* : target/stm32xx: Endian is not configurable.  So remove it from all the configs, it's misleading, and leads to
	cargo culting of config files.  Change-Id: I2b77e60d5e96f9759c7c9fc91b20e73be2e95d9a Signed-off-by:
	Karl Palsson <karlp@tweak.net.au> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2446
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-12-19  Karl Palsson <karlp@remake.is>

	* : contrib: itmdump: fix multi byte decoding Incorrect byte manipulations.  Change-Id: Id8c3f457b39f4b2b75613076d403359c4972a69d Signed-off-by:
	Karl Palsson <karlp@tweak.net.au> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2448
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-12-15  Andreas Färber <afaerber@suse.de>

	* : tcl/board: Add TI TMDX570LS20SUSB board config It is derived from ti_tmdx570ls31usb.cfg, using a different TAP ID.  Change-Id: I2d911995c76ea4f75a780cc230d61f4959825809 Signed-off-by:
	Andreas Färber <afaerber@suse.de> Reviewed-on:
	http://openocd.zylin.com/2440 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-10-09  Spencer Oliver <spen@spen-soft.co.uk>

	* : hla: add ability to change adapter speed (if supported) As a note we need to cache the requested speed setting, as the hla
	interface may not be ready when the first adapter_khz is called.  Change-Id: I2fa6807d5f0bd3f0365cf178bd10a230c39415a7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2334 Tested-by: jenkins

2015-01-07  Paul Fertser <fercerpav@gmail.com>

	* : jtag/hla: output possible idcode candidates in case of mismatch Output a similar message to what we have on low-level JTAG adapters
	to avoid confusing users. Reported on IRC by chickensk.  Change-Id: I96d58410ef715b966e32d79c0aacf38596c5eb3f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2451 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2015-01-07  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: update bug tracker URL Change-Id: I6a362020a29ccb9222f7909b5b34e5c35a02ed4b Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2454 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-10-14  Alexander Stein <alexander.stein@systec-electronic.com>

	* : cortex_a: Add support for A7 MPCore A7 MPCore needs unlocking the debug registers same as with A15
	MPCore.  Found out by hacking on the code.  Change-Id: I613cb4fb35007b85b4a9a401577b47768bc1a08b Signed-off-by:
	Alexander Stein <alexander.stein@systec-electronic.com> Reviewed-on:
	http://openocd.zylin.com/2344 Tested-by: jenkins Reviewed-by: Kamal
	Dasu <kamal.dasu@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-12-08  Tomas Vanek <vanekt@fbl.cz>

	* : ChibiOS: struct ChibiOS_params_list[] should not be const Procedure ChibiOS_update_memory_signature() sets struct member
	signature.  Change-Id: I45adbd14fa7cda99413fd0b516d45b3fb55e322d Signed-off-by:
	Tomas Vanek <vanekt@fbl.cz> Reviewed-on:
	http://openocd.zylin.com/2427 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-11-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: fix kinetis driver typos Change-Id: I0a4557f08507c61cb8ab33b38d2b6b069c344c09 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2385 Tested-by: jenkins

2014-10-11  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : avoid segfaulting when attempting to set an unavailable type of
	breackpoint For example "bp 0x20000000 8 2" makes openocd segfaulting on a
	stm32f4x Discovery board.  Change-Id: I1ddd46b1fa9ade78db2234ed975ccefb72539331 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/2342 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-11-02  Paul Fertser <fercerpav@gmail.com>

	* : swd: handle various failure conditions When communication with target fails for whatever reason, it makes
	sense to do JTAG-to-SWD (in case the target got power-cycled or the
	DAP method was reset anyhow), SWD line reset sequence (part of
	JTAG-to-SWD already) and the mandatory IDCODE read. Schedule that to
	be performed on the next poll.  Fix the return values for ftdi and jlink drivers to be consistent
	with OpenOCD error codes and remove ad-hoc calls to perform DAP
	method switching (as it's now done from the upper layer
	automatically).  Change-Id: Ie18797d4ce7ac43d8249f8f81f1064a2424e02be Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2371 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Mateusz
	Manowiecki <segmentation@fault.pl>

2014-11-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : rtos: free gdb packet allocated memory compile tested only.  Change-Id: I3bc06c212967a3ce44a875f802b554c178537d1d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2382 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-07-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jtag: Remove unnecessary global variable Change-Id: I96e5f13b12da2970eafc5fca24b7952d427eeca9 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2235 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-11-21  Karl Palsson <karlp@tweak.net.au>

	* : stm32l: split l0/l1 support no jtag, different HSI settings L0 is cortex m0+, so different id codes, SWD only, different
	addresses for the clock speedup.  It has no endian options, no
	boundary scan.  Removed all L0 specific portions from L1 files, and renamed files to
	clarify their purpose.  The deprecated stm32lx_stlink.cfg is kept as
	is, as it is only around for backwards compatibility with prior
	releases.  Tested on STM32L053 Discovery and STM32L151 Discovery.  Has _not_ been tested with jtag on L1.  Change-Id: I8eea890d2f92a302d9e9c8a8832d218ee1b6bcfc Signed-off-by:
	Karl Palsson <karlp@tweak.net.au> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2405
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Juha Niskanen
	<juha.niskanen@haltian.com>

2014-11-18  Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>

	* : tcl/target/stm32f4: ramp up JTAG speed, HSI is 16MHz there Since all F4 parts have an internal HSI providing 16MHz, it's safe
	to use 2MHz JTAG frequency by default.  Change-Id: I2702d5a1d642d4acd4af2db54c028949132c6900 Signed-off-by:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de> Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2383 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-10-30  Grigori Goronzy <greg@chown.ath.cx>

	* : lpc2000: ignore status of part ID IAP command The IAP firmware won't return a proper status with some versions.
	This happens on my CCC r0ket board and others have seen it as well
	[1]. So just ignore the status code and do a (weak) consistency
	check instead.  [1]

	http://www.lpcware.com/content/forum/lpc1343-iap-read-part-identification-commandChange-Id: I0daa779d520a540629677c56857bbc20d6db422d Signed-off-by:
	Grigori Goronzy <greg@chown.ath.cx> Reviewed-on:
	http://openocd.zylin.com/2364 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-10-10  Antony Pavlov <antonynpavlov@gmail.com>

	* : or1k: remove address of the Free Software Foundation The FSF address has changed; The FSF site says that address is   Free Software Foundation   51 Franklin Street, Fifth Floor   Boston, MA 02110-1301   USA (see http://www.fsf.org/about/contact/) Instead of updating it each time the address changes, just drop it
	completely treewide.  Change-Id: I27199f7625901f677d8105d1e8876cff00147b71 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2340 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-10-07  Antony Pavlov <antonynpavlov@gmail.com>

	* : mips32: fix typos Change-Id: Ibb98fe3da68bf670a5bb83600bb49647db8a4163 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2338 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-10-24  Christian Gudrian <christian.gudrian@gmx.de>

	* : Added FPU support for ChibiOS/RT When an enabled FPU is detected we now use an appropriate stacking.  Change-Id: I1b0f43ec22e1c55c4f10e2ffa97d4aaa77bca5ee Signed-off-by:
	Christian Gudrian <christian.gudrian@gmx.de> Reviewed-on:
	http://openocd.zylin.com/2354 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-10-25  Paul Fertser <fercerpav@gmail.com>

	* : rtos: allow symbols to be optional for a particular RTOS Default to non-optional.  Change-Id: Ifc9ddb1ab701a19c3760f95da47da6f7d412ff2e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2355 Tested-by: jenkins Reviewed-by:
	Christian Gudrian <christian.gudrian@gmx.de> Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2014-10-31  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/jlink: implement register command to fix SWD Some J-Link fw versions require registration to be performed before
	SWD operation is possible. It doesn't harm anyway, vendor's
	utilities do it unconditionally.  Thanks go to Segger for providing the necessary information.  Change-Id: Iabd76c743eca86e2c817a97cb93c969fec3f7ac6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2331 Tested-by: jenkins

2014-10-27  Anders <anders@openpuma.org>

	* : flash/nor/lpcspifi.c: fix bug that prevented clean reset after
	flash write After SPI flash was written by the assembly language stub, the last
	SPI command was not terminated by raising CS.  This left the SPI
	device in a hung state that prevented the flash from being read by
	the M4 SPIFI controller, even after the M4 was fully reset. To
	access the flash via SPIFI, it was necessary to completely power
	cycle the board.  This fix adds the missing instructions to raise CS and terminate the
	SPI command after the last byte. This allows the M4 to be resumed or
	reset cleanly after flashing. The SPIFI memory is now immediately
	accessable at address 0x1400 0000 after flashing is complete.  Change-Id: I4d5e03bded0fa00c430c2991f182dc18611d5f48 Signed-off-by:
	Anders <anders@openpuma.org> Reviewed-on:
	http://openocd.zylin.com/2359 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-20  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : lpc2000: Added LPC1500 series flash programming support.  This patch adds flash programming support for LPC1547/8/9 and
	LPC1517/8/9.  Tested on LPC1549(LPC1549 LPCXpresso Board with
	CMSIS-DAP firmware).  Change-Id: Ic95b4d62055bb9fdc2ca484696a38ccaf49ad951 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/2304 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Grigori G
	<greg@chown.ath.cx>

2014-10-29  Jim Paris <jim@jtan.com>

	* : nrf51: verify that UICR needs erasing before triggering an error
	about it If the UICR is already empty, there's no reason to return an error
	just because it can't be erased again.  This happens, for example,
	when flashing UICR from GDB after a "monitor nrf51 mass_erase".  Change-Id: Ia6d28c43189205fb5a7120b1c7312e45eb32edb7 Signed-off-by:
	Jim Paris <jim@jtan.com> Reviewed-on: http://openocd.zylin.com/2363
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-10-28  Jim Paris <jim@jtan.com>

	* : nrf51: fix UICR region size The UICR region is actually 0x100 bytes in size.  Besides making the
	full region accessible, having the right value is important because
	GDB rounds flash addresses to the nearest multiple of the block size
	when determing which flash blocks to erase.  Change-Id: I416c391cbfc7be41a03a9b9c6e42326c87391f38 Signed-off-by:
	Jim Paris <jim@jtan.com> Reviewed-on: http://openocd.zylin.com/2361
	Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>
	Tested-by: jenkins

2014-10-26  Paul Fertser <fercerpav@gmail.com>

	* : tcl/interface/ftdi/swd-resistor-hack: clarify and add schematic
	diagram Change-Id: I8600ee983de85e4225430ae508a50cd938122d89 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2357 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-10-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : cmsis-dap: refactor HID PID/VID check loop In preparation for adding serial number support.  Change-Id: I3c9fb411b79d54a4d2de067039255436ba6708c7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2328 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-10-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: remove incorrect execute permissions Change-Id: I0ba9dfdf876bc99df4e2d1f1f3bc0c9ccc6c98c2 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2333

2014-09-24  Rémi PRUD'HOMME <prudhomme.remi@gmail.com>

	* : stm32: Add config file for a new board STM32L052 dsicovery this board use STLink-V2-1, the STM32L1xx use the STLink-V2.  Change-Id: Ie58f45affcb1e9a6fed711b48c3c03b5035ab2b2 Signed-off-by:
	Rémi PRUD'HOMME <prudhomme.remi@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2317 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-08-21  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stellaris: implement protection statuses and
	procedures This should make protection work as expected on all stellaris
	families, including the latest Tiva C Snowflake.  Run-time tested on TM4C123x (Blizzard).  Change-Id: Ia017edb119bec32382b08fc037b5bbc02dd9000c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2267 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-08-19  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stellaris: actually enable protection and unprotection
	with ICDI This is still limited to pre-Snowflake parts and the first 64K of
	flash.  Change-Id: I9ca872ada3d1a87dba6261464b2a72a15eda5ecf Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2264 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-10  Paul Fertser <fercerpav@gmail.com>

	* : interface/ftdi/olimex-arm-usb-ocd-h: fix nTRST control
	definition According to my inspection of an Olimex ARM-USB-OCD-H adapter ACBUS0
	is connected directly to an SN74LVC2T45 buffer input B2, and the
	corresponding output A2 is connected directly to the JTAG connector.
	It seems the information in the Olimex flyer is incorrect for the -H
	version and TRST can't be tri-stated, ACBUS2 is unused.  The older ARM-USB-OCD device has SN74AC244 for an output buffer and
	ACBUS2 controls its !2OE, ACBUS0 connected to 2A1 (2Y1 is nTRST), in
	accordance with the information flyer.  Change-Id: I22828b7b959b6f62c3f51367feb8fab9705641e5 Reported-by:
	Tim Sander <tim@krieglstein.org> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2286
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Tim Sander <tim@krieglstein.org>

2014-10-01  Anders <anders@openpuma.org>

	* : jtag/drivers/libusb1_common: avoid device reset when reselecting
	configuration According to [1], we shouldn't reselect an already active
	configuration to avoid needless device reset. This is known to cause
	issues with e.g. LPC Link2 with JLink firmware.  [1] http://libusb.sourceforge.net/api-1.0/caveats.html#configsel Change-Id: I3568ada77780a521548c450090db7173f8d0b2dd Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Signed-off-by: Anders Oleson
	<anders@openpuma.org> Reviewed-on: http://openocd.zylin.com/2288
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-09-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: constify structures Change-Id: I875cfab8dec4ade72ed9c9cd7d52baaca182a1ef Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2295 Tested-by: jenkins

2014-09-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: constify driver data structures Change-Id: Ia5c3de48119f036e1d7a41be62a672a6fb37e59b Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2293 Tested-by: jenkins

2014-09-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : nuc1x: fix typos Change-Id: Ia67b55ccb2bea71a99daa176def82960f487ca9f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2291 Tested-by: jenkins

2014-08-06  Andrey Yurovsky <yurovsky@gmail.com>

	* : at91samd: add erase/secure commands, minor fix Reference code for the SAMD2x disables caching in the NVM controller
	when issuing NVM commands.  Let's do this as well to be consistent
	and safer.  Add a "chip-erase" for the Atmel SAMD targets that issues a complete
	Chip Erase via the Device Service Unit (DSU).  This can be used to
	"unlock" or otherwise unbrick a chip that can't be halted or
	inspected, allowing the user to reflash with new firmware.  Add a "set-security" command which issues an SSB.  Once that's done
	and the device is power-cycled, the flash cannot be written to until
	a "chip-erase" is issued.  The chip-erase cannot be issued by
	openocd at this time because the device will not respond to a
	request for the DAP IDCODE.  Change-Id: I80122f0bbf7e3aedffe052c1e77d69dc2dba25ed Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2239 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-29  Paul Fertser <fercerpav@gmail.com>

	* : doc/openocd.texi: add SWD to the transports supported by jlink Since 67332532194b16b99f0535a41b4179ca5df349b0 jlink adapter driver
	supports SWD in addition to JTAG.  Change-Id: I9376aa02d9281f3e2734d8f127cd42162633d95b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2324 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-21  Jon Burgess <jburgess777@gmail.com>

	* : cortex_m.c: Use two byte breakpoint for 32bit Thumb-2 request When GDB requests a breakpoint on a 32bit Thumb-2 instruction it
	sends a length of 3 which the current code rejects. Using the
	existing two byte breakpoint for this case appears to work fine.  The use of length==3 for this case is mentioned in a few places:
	https://sourceware.org/gdb/onlinedocs/gdb/ARM-Breakpoint-Kinds.html
	http://sourceforge.net/p/openocd/mailman/message/30012280/ Change-Id: I59cd69ba4d1bc9a37b86569738c6bb2a67c3eb7a Signed-off-by:
	Jon Burgess <jburgess777@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2312 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-24  Karl Palsson <karlp@tweak.net.au>

	* : tcl/board: add TI Tiva C ek-tm4c1294xl config Change-Id: Iab070fe4c0f03ecc0db035b16dfb64105b0841be Signed-off-by:
	Karl Palsson <karlp@tweak.net.au> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2063
	Tested-by: jenkins

2014-09-08  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Remove "-variant" argument Remove this underutilized feature. Despite the fact that a lot of
	configs specifies a arbitrary "variant", only the xscale target
	actually defines any.  In the case of xscale, the use of -variant is dubious since 1) it's used as a redundant irlen specifier, 2) it carries a comment that it doesn't really need it and 3) only two xscale configs even specify it.  If there's a future target that needs a variant set, a target
	specific option could be added when needed.  Change-Id: I1ba25a946f0d80872cbd96ddcc48f92695c4ae20 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2283 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-04-04  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : flash/nor/tcl.c: Do not double probe banks Previous to this version the code of handle_flash_probe_command
	would probe a bank twice: first time by auto-probe through a call to
	flash_command_get_bank and second time by calling the probe function
	directly. This change adds a flash_command_get_bank_maybe_probe wich
	is a more generic version of the flash_command_get_bank, that would
	allow commands to decide whether auto-probing should be performed or
	not.  Change-Id: If150ca9c169ffe05e8c7eba36338d333360811e3 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2093 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-04  Mahavir Jain <mjain@marvell.com>

	* : flash/nor: add mrvlqspi flash controller driver This patch adds support for QSPI flash controller driver for
	Marvell's Wireless Microcontroller platform.  For more information
	please refer,

	https://origin-www.marvell.com/microcontrollers/wi-fi-microcontroller-platform/Following things have been tested on 88MC200 (Winbond W25Q80BV flash
	chip): 1. Flash sector level erase 2. Flash chip erase 3. Flash write in normal SPI mode 4. Flash fill (write and verify) in normal SPI mode Change-Id: If4414ae3f77ff170b84e426a35b66c44590c5e06 Signed-off-by:
	Mahavir Jain <mjain@marvell.com> Reviewed-on:
	http://openocd.zylin.com/2280 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-09-18  Austin Phillips <austin_phillips@hotmail.com>

	* : Support hla_serial command for ST-LINK adapters.  The hla_serial command allows for a programming device serial number
	to be specified in addition to USB VID/PID.  This allows for
	multiple ST-LINK/V2 programmers to be attached to a single machine
	and operated using openocd.  Change-Id: I350654bf676eb26ba3a90450acfa55d2a5d2d791 Signed-off-by:
	Austin Phillips <austin_phillips@hotmail.com> Reviewed-on:
	http://openocd.zylin.com/2198 Tested-by: jenkins Reviewed-by: Martin
	Glunz <mg@wunderkis.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-09-07  Anders <anders@openpuma.org>

	* : flash: added new Spansion S25FL116K, S25FL132K, and S25FL164K
	devices The new FL1-K family is replacing the FL-K family. The data from all
	three was based on the datasheet. In addition the 8MB S25FL164K was
	tested successfully with OpenOCD on a custom board.  Change-Id: Idafeed86da12a481c0db92cc0de7ba28f50c2252 Signed-off-by:
	Anders <anders@openpuma.org> Reviewed-on:
	http://openocd.zylin.com/2281 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-09-02  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: Check return value from cortex_m_dcc_read.  Caught by clang.  Change-Id: I26d2b845aca431612862ef432b217ca397d9b893 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2279 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-08-20  Paul Fertser <fercerpav@gmail.com>

	* : tcl/board/sheevaplug: add adapter_khz setting This combination is known to work properly with 2MHz JTAG clock.  Change-Id: Ie5ec3d3b415efbb13faee7d34e0c7f862b78350c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2266 Tested-by: jenkins

2014-02-20  Vanya Sergeev <vsergeev@gmail.com>

	* : cfg: refactor lpc1xxx targets onto one base config Since now auto-detection for flash size works nicely, there's no
	reason to keep numerous configs around.  Change-Id: If0cbc37985abf17ef7c1f7d0688e76500fac228f Signed-off-by:
	Vanya Sergeev <vsergeev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1960 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2014-08-18  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : stm32f2x: added STM32F411xx series support.  Added STM32F411xx series to flash driver.  Tested on NUCLEO-F411RE board(STM32F411RET6).  Change-Id: Id7d1f2858c09815a013e0590e65ad193fb039157 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/2258 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-08-19  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stellaris: add all Tiva C parts IDs Luckily, TI's website has predictable URLs for the datasheets, so it
	was trivial to download all the pdfs corresponding to the currently
	available 71 TivaC devices. Then they were processed with pdftotext
	and parsed by this script: BEGIN { capture = -1 } /^Device Identification 0 \(DID0\)$/ { state
	= "waitingclass0" } /^Device Identification 1 \(DID1\)$/ { state =
	"waitingpartno0" } /^CLASS$/ { if (state == "waitingclass0") state =
	    "waitingclass" else if (state == "waitingclass") capture = 4 }
	/^PARTNO$/ { if (state == "waitingpartno0") state = "waitingpartno"     else if (state == "waitingpartno") capture = 4 } (FNR == 3) {
	family = $2 } {     if (capture >= 0) { 	if (capture == 0) { 	    if (state == "waitingclass") 		class = $0 	    else if (state == "waitingpartno") 		partno = $0 	} 	capture--     } } END { print "{" class ", " partno ", \"" family "\"}," } Change-Id: I6820c409fe535f08394c203276b5af4406fe8b92 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2262 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-08-24  Paul Fertser <fercerpav@gmail.com>

	* : tcl/interface/ftdi: add kt-link config (with SWD) for DP
	BusBlaster Change-Id: Icbeca8c0c3845c0b777fb2e4c81b17e7b7cc5ff8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2269 Tested-by: jenkins Reviewed-by: Ben
	Gamari <bgamari@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-08-15  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/imx6: add yet another SJC tapid This is for mx6q TO1.1.  Change-Id: Id6af2ed232fc19be9bf49eb6d2df0004c6668698 Reported-by:
	Fabio Estevam <fabio.estevam@freescale.com> Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2253 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-08-19  Paul Fertser <fercerpav@gmail.com>

	* : jtag: always configure enabled tap parameter appropriately Commit f701c0cb seems to have introduced a regression for non-JTAG
	transports as the newly created "tap" (DAP actually) ended up being
	disabled, thus resulting in total lack of functionality.  This was exposed by a debug log demonstrating ftdi SWD transport
	connection to mdr32f9q2i, the target wasn't examined on init and
	couldn't be reset.  Change-Id: If53cbe800d4adc177aa3ac3219860e7fa15b3e49 Reported-by:
	Хайруллин Эльдар <eldar.khayrullin@mail.ru>
	Signed-off-by: Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2261 Tested-by: jenkins Reviewed-by: Angus
	Gratton <gus@projectgus.com> Reviewed-by: Nemui Trinomius
	<nemuisan_kawausogasuki@live.jp> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-07-10  Andrey Yurovsky <yurovsky@gmail.com>

	* : stm32lx: refactor and add support for STM32L0xx This adds initial support for the STM32L0 family, specifically the
	ID code 417 variant.  The 'L0 has 128B rather than 256B pages as
	well as a different number of pages per sector.  It also has several
	key registers and register sets in different locations from the
	STM32L1xx parts.  This change therefore takes the opportunity to reorganize part
	information into a const table (it was previously determined by a
	set of control statements) and abstracts away some of the low-level
	details to make them generic for L1 and L0 parts.  We also include the first bank's size (for dual bank parts) in the
	new device information table (and correct that size for the 0x437
	variant which is 256 rather than 192KB).  The 'L0 parts will not use the built-in loader/helper for Flash
	writing.  Tested on STM32L053 (dicovery board and Nucleo board) and STM32L152
	(discovery board).  Change-Id: I57f7a8ab02caee266de71b31ae82a50d85728a0b Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2200 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-08-18  Andrey Yurovsky <yurovsky@gmail.com>

	* : flash: samd: add missing ID for SAMD20E18A This was somehow missed in the chip ID table and of course that's
	exactly the one on my board (as such, tested on hardware).  Change-Id: I212d7c729d979e0357f1d4635f40935e25fe6ff3 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2260 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-08-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : jlink: add variant "J-Link Lite-ADI" Fitted to various Analog Devices ADuCM36x dev boards.  Change-Id: Ib3691704c0ecd2f8cba1abba284aee695d6bc135 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2244 Tested-by: jenkins

2014-08-14  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32f1x: add STM32F302x6/8 IDs, clarify STM32F302xB/C Change-Id: I22afbe30f32b0ea9b59c3de8d15ce14bdc4763cc Reported-by:
	Luis Rodrigues <lfrodrigues@gmail.com> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2249
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-08-15  Paul Fertser <fercerpav@gmail.com>

	* : transport: emit a warning when a user tries to reselect a
	transport Even though changing transport is impossible, reselecting it should
	be harmless.  Change-Id: I6c1c2786134e826f47f848b590e6d712b6fd2206 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2251 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-08-17  Eldar Khayrullin <eldar.khayrullin@mail.ru>

	* : tcl/board/stm32ldiscovery: fix breakage Change-Id: I450ea82c27009be6bad6a7814969d81964ff44d8 Signed-off-by:
	Eldar Khayrullin <eldar.khayrullin@mail.ru> Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2255 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-22  Oleksij Rempel <linux@rempel-privat.de>

	* : mips_m4k.c: D or I breaks only if they supported.  For example Realtek RTL8186 (Lexra LX5280 core) don't support break-
	and watchpoints.  Change-Id: Ie00102da4bf13a8c42a9ad05910c66884f297cfd Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1933 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-21  Oleksij Rempel <linux@rempel-privat.de>

	* : mips32.c: fix IB and DB bits check for EJTAG v2.0 Change-Id: I4e28dddc1d5d9c2b923ae17beacdd7f73591b1d0 Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1931 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-08-14  Oleksij Rempel <linux@rempel-privat.de>

	* : mips_ejtag.c|h: use version specific IMPs and make version specific debug log Change-Id: I17f7ff757cfa1264a1dadbfe20c5e21de62ef87a Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1929 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-04-16  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : tcl/board: Add board configuration for nRF51822-mKIT Add board configuration for Nordic's nRF51822-mKIT devkit, available
	here: http://mbed.org/platforms/Nordic-nRF51822/ Change-Id: Ib9329307147b1e7be061a5060b4eec8256fe2bd4 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> [gus@projectgus.com: Minor
	tweaks, model number] Signed-off-by: Angus Gratton
	<gus@projectgus.com> Reviewed-on: http://openocd.zylin.com/2116
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-07-01  Angus Gratton <gus@projectgus.com>

	* : nRF51822: Add workaround for PAN-16 where not all RAM blocks
	reliably enabled on reset According to Nordic Semiconductor Product Anomaly Notice (document
	NRF51822-PAN), item 16, some revisions of nRF51822 sometimes reset
	without all RAM blocks enabled. This was noted on NRF51822-QFAA rev
	CA/C0, only 8KiB of memory was accessible.  This patch turns on all RAM following a debugger induced reset
	(matches specified behaviour.) Change-Id: I4f8be4ec3d1271da7fe5bc9a084fdcb2968535bb Signed-off-by:
	Angus Gratton <gus@projectgus.com> Reviewed-on:
	http://openocd.zylin.com/2202 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-28  Paul Fertser <fercerpav@gmail.com>

	* : Allow transports to override the selected target (hla configs
	unification) This should allow to share common configs for both regular access
	and high-level adapters.  Use the newly-added functionality in stlink and icdi drivers, amend
	the configs accordingly.  Runtime-tested with a TI tm4c123g board.  Change-Id: Ibb88266a4ca25f06f6c073e916c963f017447bad Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> [gus@projectgus.com:
	context-specific deprecation warnings] Signed-off-by: Angus Gratton
	<gus@projectgus.com> [andrew.smirnov@gmail.com: additional nrf51.cfg
	mods] Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com>
	Tested-by: Andrey Skvortsov <andrej.skvortzov@gmail.com>
	Reviewed-on: http://openocd.zylin.com/1664 Tested-by: jenkins
	Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-08-02  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : interface/ftdi: Mark flyswatter.cfg as tested - Flyswatter + Proxmark3 (Atmel AT91SAM7S256) - works - Flyswatter + Tiva Launchpad (EK-TM4C123GXL) - works Change-Id: I615e0ff9262be6ae1064fb2de8e6e810775e7db4 Tested-by:
	Ondrej Mikle <ondrej.mikle@nic.cz> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2237 Tested-by: jenkins

2014-07-19  Paul Fertser <fercerpav@gmail.com>

	* : drivers/jlink: fix SWD speed config, and set it before sending
	anything During the initialisation a driver might need to communicate with
	the target (e.g. sending jtag2swd sequence), so when doing so it
	should honour the user-specified speed.  Change-Id: If84fea6057fda9edcf2c0a653edfbab2500e3cdd
	[andrew.smirnov@gmail.com: fix khz/hz confusion] Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2224 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-07-28  Paul Fertser <fercerpav@gmail.com>

	* : tcl/board: fix all the remaining boards that were sourcing
	ft2232 configs This was reported in
	https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751372 .  Change-Id: I258f3d40593ff2966ce3ca61c13a23699d1b162f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2230 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-11  Paul Fertser <fercerpav@gmail.com>

	* : Provide od+sed replacement for the bin2char helper Using custom build-time tools is always more problematic, especially
	for cross-compiling.  This alternative implementation assumes "od" (IEEE Std 1003.1-2001)
	and sed are available which should be the case for any reasonably
	modern system.  Change-Id: I0208f475648c78e7dca127ff4bab60d314b2bf53 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2139 Tested-by: jenkins Reviewed-by: Fatih
	Aşıcı <fatih.asici@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-06-23  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/stm32l: restore slow clock on reset Change-Id: I63eafaa38b188fe50c13ab966be44a3eaa2006b0 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2188 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-06-24  Masaki Muranaka <monaka@monami-ya.com>

	* : drivers/cmsis_dap_usb: Return with ERROR_FAIL if no CMSIS-DAP
	device is found.  Even if it does not return, the initialization will be failed.  But
	it is better to show why the error is caused.  Change-Id: I399c7c94a7156be22723a9715e594061bb414a7e Signed-off-by:
	Masaki Muranaka <monaka@monami-ya.com> Reviewed-on:
	http://openocd.zylin.com/2189 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-07-03  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cfg: Rename leftover cortex_a8 -> cortex_a Change-Id: Id11d89ae2fb78854da4284afb7f14d8a892a2e49 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2197 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-29  Kamal Dasu <kdasu.kdev@gmail.com>

	* : cortex_a: target implementation renames cortex_a8 to cortex_a A previous commit changes the target name used by tcl scripts.
	commit d9ba56c295f057e716519a798bf9cdb4898c24f4 target: rename
	cortex_a8 to cortex_a The current change renames target functions and definitions in the
	implementation from cortex_a8 to cortex_a.  This prepares the
	implementation to support Cortex-A8, A9, A15-MPCore in one place.  Change-Id: I73b5a38a92c12ba5bd3b806fbbb664817575a6d7 Signed-off-by:
	Kamal Dasu <kdasu.kdev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1599 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-02-16  Fatih Aşıcı <fatih.asici@gmail.com>

	* : vsllink: Add SWD support Tested with stm32f1x, stm32f4x and kl25 targets using SWD transport.  Change-Id: I118d07371b53f402ea9ac73f874460a309c05100 Signed-off-by:
	Fatih Aşıcı <fatih.asici@gmail.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1947 Tested-by: jenkins

2014-06-25  Paul Fertser <fercerpav@gmail.com>

	* : drivers/cmsis_dap_usb: restructure init sequence a bit This fixes the issue of improper initialisation sequence and in
	particular makes "cmsis_dap_vid_pid" config specification
	functional.  Not really elegant but it's in line with the ftdi driver and so can
	be reworked in a uniform way later when the internal API is changed.  Change-Id: Ief9fc64ad0ac24e1c66727153f383e4f30a830c7 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2192 Reviewed-by: Andrey Yurovsky
	<yurovsky@gmail.com> Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-20  Kamal Dasu <kdasu@broadcom.com>

	* : Openocd: svf: Add ability to ignore svf_check_tdo errors Added Openocd commandline argument to ignore_error when the read
	back TDO does not match to expected value specified with TDO after
	masking with what is specified in MASK. This allows to continue to
	play entire SVF file ignoring errors.  Error logs clearly show the
	failure reason and prints read back TDO value.  Change-Id: I324f476fc16a003b35e6f2c5b63976431f49d54a Signed-off-by:
	Kamal Dasu <kdasu.kdev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2129 Tested-by: jenkins Reviewed-by: Franck
	Jullien <franck.jullien@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-06-22  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/ftdi: do not touch unavailable reset signals If the current reset_config doesn't specify availability of nTRST or
	nSRST, just leave them alone, do not try to deassert them ever
	(asserting would be prevented by the upper layer).  Change-Id: I90123c666e05a1c26f1e164625e82d766a3e3744 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2186 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-06-20  Paul Fertser <fercerpav@gmail.com>

	* : tcl/interface/ftdi: add SWD configs for kt-link, olimex, rowley
	and resistor hack Resistor hack is runtime-tested, other configs are based on
	schematics.  Change-Id: I8daffa0434cd41d142fbec7c230a302284f7aa31 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2184 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2014-06-20  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/ftdi: declare standard JTAG signals on SWD init Unfortunately, this means they're available for config files only
	after selecting swd transport.  Change-Id: Ia2afc1f3bfdba8d81efbb8ab964b174c0f7e2811 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2182 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-06-19  Paul Fertser <fercerpav@gmail.com>

	* : Auto-select JTAG transport when appropriate I looked through all the target configs after stripping comments and
	such from them with sed to see what jtag-specific commands can
	appear first, and it looks like all the meaningful combinations
	should be covered.  Change-Id: I8d543407b7f4ac8aca7354ecd50e841c8a04d5f3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2179 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cfg: Add SWD support to JTAG-lock-pick Tiny 2 Change-Id: I61eac507fa6861b7daf603ebca58e8bf3cc699c1 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2136 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2014-05-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : transport: Constify the transports vector Change-Id: I0c874b5d4c97cf781d83bd381d701f770e069f72 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2135 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-02  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : adi_v5: Make sure all bit masks are unsigned and wide enough.  Also align them with spaces instead of tabs.  Change-Id: I1c01412a3ea77b29e8e133f5c92d05ed79d7c0f3 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2133 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-05-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : swd: Fix park bit polarity according to ADIv5.1 Supplement Change-Id: I27293defd3f3c3bf37c9662f88689e85ba593d86 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2131 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-06-18  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : adi_v5_cmsis_dap.c: Simplify debugging output Name of the function is already a part of the LOG_DEBUG macro, so
	there's no need to include it in the string itself.  Change-Id: I18c3d5b746e9106d55104e490ccf5bc5e85cc380 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2138 Tested-by: jenkins

2014-06-18  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : adi_v5_cmisis_dap: Separate ABORT from clearing sticky errors We don't need to do full blown AP ABORT in case of CMSIS-DAP errors,
	and the code that was in place was not doing that(issuing AP ABORT)
	anyway.  Change-Id: Ide83b1f8875d725da6cb0d53aae8229f8c6316b3 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2112 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com>

2014-03-01  Paul Fertser <fercerpav@gmail.com>

	* : tcl: introduce using_(jtag|swd|hla) helpers and use them in
	reset handler Barely tested with plain SWD transport.  Change-Id: I48b59136bf4294ffed737dba01f1b30ef83aa86b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2003 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : adi_v5_swd: Separate sticky error clearing from AP abort Swd_queue_ap_abort should set DAPABORT, not only clear sticky
	errors.  However, DAPABORT should not be set as soon as there is a
	single FAULT/WAIT response. It's an "emergency only" operations for
	use only when the AP have stalled the transfer for a long time. So
	these need to be separate functions.  Change-Id: I37618447884faad54d846c2b07fa668ad505919d Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1956 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-02-16  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : adi_v5_swd: Read RDBUFF once after a sequence of AP reads Increases performance by a factor of two for long reads.  Change-Id: I81a7a83835058560c6a53a43c3cc991100f01766 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1954 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-02-14  Fatih Aşıcı <fatih.asici@gmail.com>

	* : adi_v5_swd: Improve SWD support Fix bug in parity calculation macro.  Cache and update the selected DP bank when necessary.  Add aborts when the Ack code signals a failure (we should really
	only clear the sticky bits, but this will do for now).  Change-Id: I38a4da136ba1d9e989b33c1875a80c0b1b2be874 Signed-off-by:
	Fatih Aşıcı <fatih.asici@gmail.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1950 Tested-by: jenkins

2014-06-12  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/jlink: better diagnostics for RCLK problems The JLink protocol description doesn't really specify it for
	JTAG-level commands but the real life evidence is that 0x01 error
	code means "Adaptive clocking timeout" as it does for e.g.
	WRITE_MEM_ARM79.  Change-Id: I4e3b568742814271919f92d202713968c8fcccfb Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2169 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-06-04  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/fm3.cfg: use a CHIPNAME known by the flash driver fm3 flash driver needs to know which chip variant is used.  This fixes "unknown fm3 variant: mb9bf500.cpu" error if the config
	is used as is.  Change-Id: I500fcfb413f23ee246678cec5bd19d14139a28e2 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2160 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-05-30  Franck Jullien <franck.jullien@gmail.com>

	* : openrisc: add support for JTAG Serial Port Change-Id: I623a8c74bcca2edb5f996b69c02d73a6f67b7d34 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2162 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-06-04  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/tcl.c: fix formatting in "rejected" error message The error message (with the usage field unpopulated) looks like
	this, obviously missing at least a space before Usage: Error: 'fm3' driver rejected flash bank at 0x00000000Usage (null) Change-Id: I2a625676e784d02942823f972a201f7f4f810c68 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2161 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-21  Tom Rini <trini@ti.com>

	* : tcl/target/am335x.cfg: Drop gdb-attach stanza This isn't needed nor a recommended practice now, was a simple
	copy/paste from amdm37x.cfg anyhow.  Change-Id: I064226dc859d7563cfad945b577279fc37448645 Signed-off-by:
	Tom Rini <trini@ti.com> Reviewed-on: http://openocd.zylin.com/2068
	Tested-by: jenkins Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2014-05-06  Seth LaForge <sethml@google.com>

	* : cortex_a: fix lockup when writing to high address On a processor with caches, when you write data to memory OpenOCD
	invalidates the cache lines affected. If you write to an address
	within 64 bytes of UINT32_MAX, then the for loop control variable
	wrapped around resulting in an infinite loop. Change control
	variable to be an offset from the address involved. We should never
	be asked to write 2^32 bytes, so wraparound should not be a problem.  Change-Id: Ibfe654113eff71684862ff651e7a1cd05ccc6760 Signed-off-by:
	Seth LaForge <sethml@google.com> Reviewed-on:
	http://openocd.zylin.com/2126 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-06-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : stm32f1x: add STM32F33x support.  Added STM32F33x series to flash driver.  Tested on NUCLEO-F334R8
	board(STM32F334R8T6).  Change-Id: I2fe70d40eb7613a7a3cfa63d25fa83f7bc055fb4 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/2174 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-05-29  Marco Cruz <marco.caratuva@gmail.com>

	* : tcl/board: add Atmel SAM4E-EK Change-Id: I07d7e0528ed4e88b070ba4e7598a193ec8e9e37d Signed-off-by:
	Marco Cruz <marco.caratuva@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2158 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Alexandre Pereira da
	Silva <aletes.xgr@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-05-17  Paul Fertser <fercerpav@gmail.com>

	* : README.OSX: mention Gentoo Prefix and clarify other options Change-Id: I431bfb9acf7dd6ad61b9e8f5c20568be22e9f39d Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2146 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-04-23  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target/kl25.cfg: add maximum speed specification Maximum frequency wasn't tested on hardware but the docs seem to be
	quite explicit and do not mention any restrictions for that.  Change-Id: Idcf58df5358d06525e683f07c76eedad8f0b292d Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2120 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-29  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/osbdm: downgrade init message severity, fix wording Change-Id: Iacf874b0fe9fbf840e82e6b63f1c97031f4720de Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2156 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-29  Cosmin Gorgovan <cosmin@linux-geek.org>

	* : Flash/LPC2000: Add support for LPC11(x)xx, LPC13xx LPC11(x)xx and LPC13xx devices are mostly compatible with the
	lpc1700 variant of the LPC2000 driver, but use a fixed flash sector
	size of 4KB.  Change-Id: I033515f4ff6bc61d3b9babd27096f78c99cea927 Signed-off-by:
	Cosmin Gorgovan <cosmin@linux-geek.org> Reviewed-on:
	http://openocd.zylin.com/2071 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-04-06  Alex Ray <a@machinaut.com>

	* : Disable multiprocessor-id read on ARMv7-R cores ARMv7-R cores are largely uniprocessor-configured, and when they are
	multiprocessor-configured the format of the MPIDR register isn't
	compatible with ARMv7-A cores.  Change-Id: I024ec514496fbab5075c6fb34b6acd870e68e1fc Signed-off-by:
	Alex Ray <a@machinaut.com> Reviewed-on:
	http://openocd.zylin.com/2096 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-23  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/stlink: allow to reconnect seamlessly after polling
	failure If the communication with the target was failing (either because of
	an intermittent connection or the target was rebooted), this is
	needed to reestablish operational state.  Reported-by: Tim Sander <tim@krieglstein.org> Tested-by: Tim Sander
	<tim@krieglstein.org> Change-Id:
	I91ea2e2b2b5ef8eb27dfe9bae95ef2a919f67e4e Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2152 Tested-by: jenkins Reviewed-by: Tim
	Sander <tim@krieglstein.org> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-04-03  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : adi_v5_cmsis_dap: Fix logging order of appearance Move logging for cmsis_dap_queue_ap_read/write to happen after a
	call to cmsis_dap_ap_q_bankselect so that that SWD operation would
	appear in the log in the same sequence they happen on the bus.  Change-Id: Ic046bc753e661da7924b019c9100d6932fb686bf Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2087 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2014-04-03  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : arm_adi_v5: Add convenience "atomic"" function for DP reads Add convenience "atomic"" function dap_dp_read_atomic_u32() Change-Id: Ic9ebb58959d2f14bbf03be42a26b0fe58ecfeddb Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2085 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-05-23  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32f1x: add support for F04x parts Ref. RM0091 Rev.6.  Change-Id: I13bcdb1741edc59712e4fa1849fff38d17709fa7 Reported-by:
	efuentes@irc.freenode.net Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2150
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-05-12  Paul Fertser <fercerpav@gmail.com>

	* : target/mips32_pracc: fix C99 format specifiers Warnings exposed by arm-none-eabi build.  Change-Id: Icdaf168d7aaa1a62bdfd41a64e43ef94816d3721 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2140 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-19  Aurelien Jacobs <aurel@gnuage.org>

	* : lpcspifi: setup a valid stack pointer before calling ROM code
	using stack The spifi_init_code blob is calling the spifi_init() function from
	the ROM.  This ROM function is making use of the stack. So if the
	stack pointer is invalid, trying to execute this code leads to a
	double fault and the target_run_algorithm() call return with an
	error.  This patch simply ensure that the stack pointer is properly
	setup before calling the spifi_init() ROM function.  Change-Id: I42a2163cfc2c6dfe5ada97ae8eb2bb6d2e283ff7 Signed-off-by:
	Aurelien Jacobs <aurel@gnuage.org> Reviewed-on:
	http://openocd.zylin.com/1836 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-08  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : kinetis: Revise CPU un-securing code Old version of the code had several problems, among them are:  * Located in a generic ADI source file instead of some Kinetis    specific location  * Incorrect MCU detection code that would read generic ARM ID    registers  * Presence of SRST line was mandatory  * There didn't seem to be any place where after SRST line assertion    it would be de-asserted.   * Reset was asserted after waiting for "Flash Controller Ready" bit    to be set, which contradicts official programming guide AN4835  * Mass erase algorithm implemented by that code was very strange:    ** After mass erase was initiated instead of just polling for the       state of "Mass Erase Acknowledged" bit the code would
	      repeatedly initiate mass erase AND poll the state of the "Mass
	      Erase Acknowledged"    ** Instead of just polling for the state of "Flash Mass Erase in       Progress"(bit 0 in Control register) to wait for the end of
	      the mass erase operation the code would: write 0 to Control       register, read out Status register ignoring the result and
	      then read Control register again and see if it is zero.   * dap_syssec_kinetis_mdmap assumed that previously selected(before    it was called) AP was 0.  This commit moves all of the code to kinetis flash driver and
	introduces three new commands: o "kinetis mdm check_security" -- the intent of that function is to
	  be used as 'examine-end' hook for any Kinetis target that has that
	  kind of JTAG/SWD security mechanism.  o "kinetis mdm mass_erase""  -- This function removes secure status
	  from MCU be performing special version of flash mass erase.  o "kinetis mdm test_securing" -- Function that allows to test
	  securing fucntionality. All it does is erase the page with flash
	  security settings thus making MCU 'secured'.  New version of the code implements the algorithms specified in
	AN4835 "Production Flash Programming Best Practices for Kinetis K-
	and L-series MCUs", specifically sections 4.1.1 and 4.2.1.  It also
	adds KL26 MCU to the list of devices for which this security check
	is performed. Implementing that algorithm also allowed to simplify
	mass command in kinetis driver, since we no longer need to write
	security bytes. The result that the old version of mass erase code
	can now be acheived using 'kinetis mdm mass_erase' Tested on accidentally locked FRDM-KL26Z with KL26 Kinetis MCU.  Change-Id: Ic085195edfd963dda9d3d4d8acd1e40cc366b16b Signed-off-by:
	Andrey Smrinov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2034 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-12-01  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips32: cleanups in legacy pracc code This is the first patch
	intended to make a more precise pracc check when running in legacy
	mode (code executed by mips32_pracc_exec()).  It only makes some
	cleanups, mostly due to unnecessary code.  With the last cache
	optimizations for processor access (pa for short) all the pracc
	functions generate the code following some rules that make pa more
		easily to check: There are no load instructions from dmseg. All the
		read pas are instruction fetches. PARAM_IN related stuff is not
		needed.  Registers are restored either from COP0 DeSave or from
		ejtag info fields. PRACC_STACK related stuff is not needed any more.  	The code starts execution at PRACC_TEXT and there are no branch or
		jump instruction in the code, apart from the last jump to
		PRACC_TEXT.  The fetch address is ever known.  	For every store instruction to dmseg the function code sets 	the address of the write/store pa.  	The address of every store pa is known.  Current code ends
	execution when reading a second pass through PRACC_TEXT.  This
		approach has same inconveniences: If the code starts in the delay
		slot of a jump it makes a jump to PRACC_TEXT after executing the
		first instruction. A second pass through PRACC_TEXt is read and the
		function exits without any warning.  This seems to occur sometimes
		when a 24kc core is halted in the delay slot of a branch.  	If a debug mode exception is triggered during the execution of a 	function the core restarts execution at PRACC_TEXT. Again the
		function exits without any warning.  	If for whatever reason the core starts fetching  at an unexpected 	address the code now sends a jump instruction to PRACC_TEXT, but
		due to the delay slot the core continues fetching at whatever
		address + 4 and a second jump instruction will be send for
		execution. The result of a jump instruction in the delay slot of
		another jump is UNPREDICTABLE. It may work as expected (ar7241), or
		let the core in the delay slot of a jump to PRACC_TEXT for example.
		This means the function called next may also fail (pic32mx).  Change-Id: I9516a5146ee9c8c694d741331edc7daec9bde4e3 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1825 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-08-24  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: load fast data transfer handler code with
	mips32_pracc_write_mem() Currently the code is loaded calling
	mips32_pracc_write_mem_generic().  Cache synchronization is not
	performed.  If configured as write back cache there is no chance to
	execute the handler. If configured as write through cache and the
	cache lines written to are not cache resident (I-side cache miss)
	may work.  The patch makes possible to execute the handler in a
	cached active memory segment (mainly from KSEG0), but nothing else.
	The data is still loaded without performing cache synchronization,
	code loaded may not be executable.  Performance may not be faster.
	At start, for example, the code resides in main memory, not in
	cache, and the core must transfer code from memory. We can really
	modify the code to force a wait for the first transfer like we do
	with start and end addresses, making sure the code is cache resident
	for the rest of the queued transfers.  This can also may happen if
	we execute code (greater than the I cache size) and the handler code
	is evicted from the cache.  Code tested on ar7241.  Change-Id: Iffdb4dae108b872fef0e7bacc5ea99649cdc1630 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1564 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2014-01-18  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips32: optimized cache code for pracc access Follows the the same rules of optimization used by all pracc
	functions.  Solves some bugs in previous code and adds support for
	write through caches.  Change-Id: If88c6738ca8c8197f327f22b766120a24f71b567 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1557 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2014-05-08  Paul Fertser <fercerpav@gmail.com>

	* : README.OSX: recommend XCode 5 as that's the current version Using current "Command Line Tools" with XCode 4 is known to provoke
	issues (the build "hangs"), see e.g.
	http://stackoverflow.com/questions/18667916/xcrun-lipo-freezes-with-os-x-mavericks-and-xcode-4-xThis fixes https://sourceforge.net/p/openocd/tickets/70/ .  Change-Id: I511b347b9388e0e3f1d136b566915021c4b5fbde Reported-by:
	n321203 <n321203@users.sf.net> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2128
	Reviewed-by: Xiaofan <xiaofanc@gmail.com> Tested-by: jenkins
	Reviewed-by: Freddie Chopin <freddie.chopin@gmail.com>

2013-12-03  Kamal Dasu <kdasu.kdev@gmail.com>

	* : svf: Fix debug and error messages that print hex buffer Added SVF_BUF_LOG macro to properly print the hex buffer of parsed
	string for SIR, SDR, TDI, TDO and MASK. The original debug and error
	logs with respect to printing real values were misleading and also
	had endianess issues. All the bits are printed now instead of just
	u32 values.  Change-Id: Ie89902403bdb61ff458418446c2ca1253ea2a63f Signed-off-by:
	Kamal Dasu <kdasu.kdev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1964 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2014-03-20  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : generalplus: Add configuration file for General Plus GP326XXXA
	series Add configuration file for General Plus GP326XXXA series. Tested on
	GP326833A on GPC-1737B board.  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	I1ad0e22598b01317bbc823870a7a262e9192c595 Reviewed-on:
	http://openocd.zylin.com/2058 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-04-28  Paul Fertser <fercerpav@gmail.com>

	* : Fix some C99 format specifiers As exposed by arm-none-eabi build, fix the wrong modifiers.  Change-Id: Ia6ce7c5c1d40e95059525c3e5d81b752df2fea7c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2122 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-04-27  Paul Fertser <fercerpav@gmail.com>

	* : Restore normal development cycle Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-04-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : nrf51: remove dereference of null pointer found by clang 3.4.  Change-Id: Id499b546f65acd7a719498bc97e33b21d1ba565a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2119 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Andrey Smirnov <andrew.smirnov@gmail.com>

2014-04-15  Paul Fertser <fercerpav@gmail.com>

	* : Restore -dev suffix Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-04-14  Paul Fertser <fercerpav@gmail.com>

	* : NEWS: minor fixes for rc2 Change-Id: Iba04baae4f3278db8b36283574a82c077d28bb4a Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2113 Tested-by: jenkins

2014-04-01  Seth LaForge <sethml@google.com>

	* : cortex_a: fix endiannes issues on  TI TMS570 The TI TMS470 and TMS570 series of processors are BE-32 processors,
	despite BE-32 not being supported by ARM in the Cortex-R4 core. TI
	hacked in BE-32 support, which requires odd swizzling in OpenOCD to
	make memory reads and writes function correctly. In particular,
	without this change, OpenOCD word reads and writes had the bytes
	reversed, and halfword and byte packed reads were reading garbage.
	In my testing, this change fixes these problems.  Change-Id: I21dd30f4b9003f20fcc85f674ab833407bb61f74 Signed-off-by:
	Seth LaForge <sethml@google.com> Reviewed-on:
	http://openocd.zylin.com/2064 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-04-12  Paul Fertser <fercerpav@gmail.com>

	* : mips32, dsp563xx: fix segfault on Gdb attach Since c6216201b249e6a97fcc085e413e3d34e0de6fb7 gdb target
	description generation support is enabled by default and it counts
	on checking "feature" pointer in reg_list. Both mips32 and dsp563xx
	neither used calloc nor explicitly set feature (as it was a newly
	introduced struct field).  This patch changes all targets to use calloc for consistency.  Change-Id: I9eceadef8b04aacb108e24ae23cb51ca3009586f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2102 Tested-by: jenkins Reviewed-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-04-06  Paul Fertser <fercerpav@gmail.com>

	* : jtag/drivers/remote_bitbang: use sizeof to determine maximum
	unix socket path length Different *nix systems use different constants, so sizeof should be
	used instead. This fixes the build on OS X (as sun_path length is
	hardcoded to 104 on Darwin).  Change-Id: I1df611383dedcfc6d153ec59b453a895c7d84e94 Reported-by:
	Xiaofan Chen <xiaofanc@gmail.com> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2095
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Xiaofan <xiaofanc@gmail.com>

2014-04-06  Lee Bowyer <lee@sodnpoo.com>

	* : tcl: bcm6348 target config, BT HomeHub v1 board config Also add the board to the firmware recovery script.  Change-Id: I4f9c895dae171df7249e3b1c0563b288518b9fe0 Signed-off-by:
	Lee Bowyer <lee@sodnpoo.com> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2097
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-04-01  Paul Fertser <fercerpav@gmail.com>

	* : openocd.rules: match CMSIS DAP devices by product string Since the standard requires to have "CMSIS-DAP" somewhere in product
	string, use that to automatically match all the compliant adapters.  Change-Id: I1e2ac088333a7d69a136af825248914339debdd8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2082 Tested-by: jenkins Reviewed-by: Jörg
	Wunsch <openocd@uriah.heep.sax.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-04-07  Paul Fertser <fercerpav@gmail.com>

	* : target/cortex_a: check gdb_service before dereferencing in
	update_halt_gdb If gdb was disconnected by the moment the target entered halted
	state, update_halt_gdb would segfault.  Change-Id: I67477e9199c1df097be83a49e38602f975c083f5 Reported-by:
	Younes REGAIEG <younes.regaieg@imag.fr> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2098
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-30  Paul Fertser <fercerpav@gmail.com>

	* : Makefile.am: fix build for libftdi1, pass CFLAGS where
	appropriate Change-Id: I9d8afa6ae32fc01e69ec434b5bc9d71524d386a2 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2079 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2014-03-30  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/at91sam3: remove sam3_page_write_opcodes Apparently this helper was never actually used, and current clang
	produces an unused const variable warning, so it's breaking the
	build.  Change-Id: Ib088bef5e9c0a48942c1d417d46f738469ee7e28 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2076 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2014-03-29  Paul Fertser <fercerpav@gmail.com>

	* : The openocd-0.8.0-rc1 release candidate Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-03-29  Paul Fertser <fercerpav@gmail.com>

	* : Makefile.am: fix adding contrib directory for dist With extra / the directory was getting added as a subdirectory of
	itself.  Change-Id: I5a3d5635f3c949f39d88b34a2ddab8244643f560 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2070 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-10  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : at91smad: Fixes to 'samd_protect' Some fixes to 'samd_protect' including:      - Fix a bug in which the value of 'set' parameter passed into
	     the function was ignored so it was impossible to remove flash      protection once it was set.       - Check the protection status of the sector via 'is_protected'      field of the  corresponding 'flash_sector' structure to see if      any actual HW manipulations needs to be done.       - Change the way the errors during protection activation are      handled. Now even in the case of error in the middle of      protecting a number of sectors the subroutine would still
	     update the state of the sector protection in sectors array so
	     as to avoid cases where openocd thinks that the sector is not
	     protected while it actually is.  Change-Id: I4cc6445a98ec13bdd94c89f0711c17840738a215 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2027 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-08  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : at91samd: Bail early if trying to write to protected sector Bail early if trying to write to protected sector also mark the
	sector we are writing to as dirty.  Change-Id: I892f83461792e1cc2dcccade7aa65717831a6805 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2025 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-22  Paul Fertser <fercerpav@gmail.com>

	* : tcl: introduce init_target_events and use it for gdb flashing
	events This introduces a new global Tcl procedure that is run just after
	init_targets and before init_boards.  Its default behaviour is to assign gdb-flash-erase-start and
	gdb-flash-write-end to reasonable defaults.  The rationale for doing "reset init" before gdb erases and flashes
	memory is that all flash drivers are written in assumption that they
	can safely be used only after chip reset (plus chip-specific
	configuration in the init handler if any). The need to use "reset
	halt" after flashing is because a user expects running firmware
	after loading to be the same as running it from power-on-reset.  Change-Id: I9ddc4047611904ca4ca779b73376d2739611948a Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2062 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove memory leaks Found by clang.  Change-Id: Ifb25dca52f8d9e8e46a35f0947a7239f26eb3757 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2067 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Jörg
	Wunsch <openocd@uriah.heep.sax.de>

2014-03-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove handle_profile_command memory leak COMMAND_PARSE_NUMBER may return, thus any memory allocated may not
	be freed, simple reorder fixes the issue.  Change-Id: I0ce444a5b032f5c49b6d33a03a8c0b71cad49c8c Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2065 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Add all of contrib/ to dist, not just loaders Change-Id: I467e21de6805ea9f23ae483317d602e9d81e1148 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1909 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Add rlink speed table sources and everything related to dist GPL requires providing sources for any derived work. I do not see
	any reason to not include the rlink stuff into release tarballs.  Change-Id: I686ab88994030312aca5bdfe731a72f10803b5c3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1907 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Add previous NEWS* files to dist Change-Id: I2f814e01c7b5aa9cd76e8e63c9c4a1ebbf3dd2ea Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1905 Tested-by: jenkins Reviewed-by: Luca
	Bruno <lucab@debian.org> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : doc: add "manual/" directory in its entirety to dist Change-Id: I750c2938ab207012a6488bf34f55d784e5e26b6e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1903 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : rtos: fix xml register support regression Seems that when xml register support was added the rtos code was not
	updated to match. This then caused gdb to return the following error
	when rtos support was enabled - "Remote 'g' packet reply is too
	long".  Change-Id: I7429c4b1efed120e2e690678d55f3d6e87ee1ff1 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2054 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-17  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Remove unnecessary explicit type casting Change-Id: I523e81645434760649ea2c00e6f80c2b08d08d94 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2055 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-02-28  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Add a known devices table and simple chip type detection
	code Unfortunately due to my oversight, the original version of the
	nrf51_probe function contained useless code that read the contents
	of DEVICEID[0] an DEVICEID[1] registers and did nothing about
	it(those registers had nothing to do with the device type
	information anyway).  This commit fixes that code by changing its behavior to read the
	HWID field of CONFIGID register and looking up the corresponding
	device information in the know devices table. This information is
	useful when choosing the versions of SDK and SoftDevice for the chip
	using "nRF51822 compatibility matrix".  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	Ibd80b35460df4278e86e0c2500b7dcc876eec10c Reviewed-on:
	http://openocd.zylin.com/2012 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-19  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : armv7m: Do not ignore 'value' parameter in armv7m_write_core_reg Ignoring the value parameter in that function makes its code rather
	misleading. Also the only caller of it, armv7m_restore_context
	already does the whole "buf_get_u32" conversion business, so using
	'value' also removes the waste of doing the conversion twice.  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	I515979c314d9b59ee1065c55b5bb5747c7e93f01 Reviewed-on:
	http://openocd.zylin.com/2057 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-12  Angus Gratton <gus@projectgus.com>

	* : AT91SAM4L: Fix bug when writing to flash at a non-zero offset,
	add debug output for flash page writes The offset wasn't being considered in the "full page" write
	codepath, so any writes at an offset were actually written out
	starting from page 0.  Change-Id: I5e70a1f35f144b3edd1ce6d9df9af9b5da6cf194 Signed-off-by:
	Angus Gratton <gus@projectgus.com> Reviewed-on:
	http://openocd.zylin.com/1965 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-03-13  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Support for sam3n0a sam3n0b sam3n00a sam3n00b Change-Id: I70a04f5f9b0b20d42a677ea8781130e44be758d3 Signed-off-by:
	Stefan Arnold <sarnold@sh-sw.de> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2042 Tested-by: jenkins Reviewed-by: Stian
	Skjelstad <stian@nixia.no> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-28  Felipe Balbi <balbi@ti.com>

	* : cfg: add TI am43xx devices This adds support for the am43xx SoC and the AM437x GP EVM and
	AM438x ePOS EVM.  Change-Id: I09cbb09072f38e0e08fdd520dedb6e67d45056be Signed-off-by:
	Felipe Balbi <balbi@ti.com> Signed-off-by: Tom Rini <trini@ti.com>
	Reviewed-on: http://openocd.zylin.com/2047 Tested-by: jenkins
	Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2014-01-27  Oleksij Rempel <linux@rempel-privat.de>

	* : mips_ejtag.c: disable DMA for all platforms DMA seems to be broken in many ways. Don't trust it! Change-Id: I7e28608f299abdf78d02a967c62849b6b2ce5985 Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1936 Tested-by: jenkins Reviewed-by: Antony
	Pavlov <antonynpavlov@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-03-05  Jens Hoffmann <jehoffma@gmail.com>

	* : cfg: Added st nucleo board configs.  This patch adds board configs for Nucleo FXXX boards.  Change-Id: I25bfd7d63f734bad710917efa67bc6096aa60ef8 Signed-off-by:
	Jens Hoffmann <jehoffma@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2022 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-06  Paul Fertser <fercerpav@gmail.com>

	* : tcl/interface/ftdi: add Digilent JTAG-SMT2 config Tested on ZedBoard by Tim Sander.  Change-Id: I4316d9b4d36f01bbe91a46c78ea8bca22efb1a5a Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2029 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-14  Jörg Wunsch <openocd@uriah.heep.sax.de>

	* : CMSIS-DAP: print a debug message when the USB product string
	cannot be read As suggested by Stian Skjelstad in a comment in: http://openocd.zylin.com/#/c/2044/ if the USB product string cannot be read, provide a debug message so
	users might get aware of a potential permission problem when looking
	at the debug output.  Fix style bug found by Jenkins.  Change-Id: I6acb1c6261fec6f2bee80e4be513a5c5e29eff79 Signed-off-by:
	Jörg Wunsch <openocd@uriah.heep.sax.de> Reviewed-on:
	http://openocd.zylin.com/2048 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-14  Jörg Wunsch <openocd@uriah.heep.sax.de>

	* : All Atmel-provided CMSIS-DAP devices use 512 byte packet size The existing CMSIS-DAP driver matches the USB VID/PID against 0x3eb
	(Atmel VID) and 0x2111 (Atmel EDBG embedded CMSIS-DAP debugger), and
	then bumps the packet size from its default of 64 to 512.  However,
	it turned out that *all* Atmel-provided CMSIS-DAP devices (EDBG with
	PID 0x2111; JTAGICE3 with firmware version 3.x, PID 0x2140; new
	Atmel-ICE [successor of JTAGICE3], PID 0x2141) require a 512-byte
	packet size.  Obviously, all run the same USB implementation inside
	their custom microcontroller.  Thus, it seems best to simply assume
	that *all* Atmel CMSIS-DAP devices use this packet size, and don't
	check the PID at all.  This has also been filed as Trac bug #68: https://sourceforge.net/apps/trac/openocd/ticket/68 Change-Id: I942af93060fdf265fca3961841638caa6182f877 Signed-off-by:
	Jörg Wunsch <openocd@uriah.heep.sax.de> Reviewed-on:
	http://openocd.zylin.com/2045 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andrey Yurovsky
	<yurovsky@gmail.com>

2014-03-09  Jens Hoffmann <jehoffma@gmail.com>

	* : stm32f2x.c: Add STM32F401xE device id.  Nucleo F401 board uses STM32F401RE chip with new device id and got
	more flash than existing devices (512K). This patch adds new the
	identifier to probe functions so flashing will now work.  Change-Id: Ibe9c047c79244db0cfbb06610da9d84987b9f85a Signed-off-by:
	Jens Hoffmann <jehoffma@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2037 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/kinetis: Fix bug in odd byte count padding Change-Id: Ic5cfd880f2b49e3a96c408cf868db622bfe698a1 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2039 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-11  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Don't poll until the target is examined.  The timer callback is started on target init, but it makes no sense
	to poll until the target is fully setup.  Change-Id: I118201e125e39be3d0a920e3ef9a3f68a2035f39 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2041 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-09  Paul Fertser <fercerpav@gmail.com>

	* : tcl/board: add config for DP Bus Blaster reconfiguration Reported and tested by Gracana on IRC.  Change-Id: If0524d2d627d566e8b5e1d00784dd7556f44b125 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2036 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-04  Bartosz Bielawski <bartosz.bielawski@gmail.com>

	* : stlink_usb.c: add support for STLink V2-1 The new version of STLink (V2-1) has a different USB endpoint
	layout.  As the PID of the device also changed it's possible to
	change EPs used by OpenOCD in runtime. The patch adds three new
	fields to stlink_usb_handle_s and assigns right EP numbers in
	stlink_usb_open().  Parts of the code inspired by and used with
	consent of Jens Hoffmann.  Change-Id: I93b69fb889f15317e9bf864905f435905db39745 Signed-off-by:
	Bartosz Bielawski <bartosz.bielawski@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2019 Tested-by: jenkins Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-03  Tom Rini <trini@ti.com>

	* : interface/ftdi/xds100v2.cfg: Add another VID/PID, drop desc The XDS100v2 is often embedded in a number of platforms using the
	VID/PID of 0x0403/0x6010 and a generic FTDI device description.  Add
	this VID/PID combination and remove the description line.  Change-Id: I370e6199ac24f802426e9541e19ee38f18f1209a Signed-off-by:
	Tom Rini <trini@ti.com> Reviewed-on: http://openocd.zylin.com/2016
	Tested-by: jenkins Reviewed-by: Paul Fertser <fercerpav@gmail.com>
	Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-02-28  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Fix format string bugs in nrf51_info Additional information string appended to the 'flash info' output
	used incorrect offsets and was missing a couple of fields.  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	If131be021295cab6adfca7da03c2f0fb8dca7d42 Reviewed-on:
	http://openocd.zylin.com/2011 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-24  Kamal Dasu <kdasu.kdev@gmail.com>

	* : cortex_a: Fix endianess issues in cortex_a8_*_apb_ab_memory Make the APB-AB memory read routines handle endianess order when
	running on big endian host. cortex_a8_read_apb_ab_memory is also
	called by cortex_a8_write_apb_ab_memory and was breaking both APB-AB
	read and write functions. Also fixed bug in write function in
	calculating the offset of end of buffer data. The change aslo fixes
	the read issues with all combinations of aligned unaligned memory
	access found by 'test_mem_access' cmd.  Tested with target "test_mem_access 4000", also size 1-9, 'mdb/h/w'
	'mwb/h/w' cmds and equivalent gdb 'x' 'set' cmds.  Change-Id: Ia927c60c4837617f5342a9beb6fdab1f061855fe Signed-off-by:
	Kamal Dasu <kdasu.kdev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1781 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2013-07-22  Brad Riensche <brad.riensche@gmail.com>

	* : target: "dap info" command cosmetic output changes This makes the listing easier to read, imho. The tab indentation
	technique causes the base address to precess as the parser proceeds
	through the subtables, and can easily wrap.  Change-Id: Iea5e678255e6314a9d532e4b222a2572b5394390 Signed-off-by:
	Brad Riensche <brad.riensche@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1518 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-02-24  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Rename and sort udev rules file Also add missing entries for JTAG-lock-pick Tiny 2, Xverve
	Signalyzer LITE and default FTDI VID:PIDs.  Change-Id: I41b4f15409642298d1cf134d1f8014dc8f003005 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1969 Tested-by: jenkins

2014-03-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdbserver: fix duplicate declaration commit da0d1e37 did not merge correctly, causing the build to fail.  Change-Id: I3f525054bb38b7ee29bf27309bb2e6a5bb8329c7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2020 Tested-by: jenkins

2014-02-25  Jens Bauer <jens@gpio.dk>

	* : CMSIS-DAP: Fix build errors on Mac OS X Rename the argument variable 'wait' to 'delay', as 'wait' conflicts
	with an API function declared in system header
	/usr/include/sys/wait.h on Mac OS X.  Change-Id: I5742da6e5def6e5ec197e774c3844e4bf0424569 Signed-off-by:
	Jens Bauer <jens@gpio.dk> Reviewed-on: http://openocd.zylin.com/1973
	Tested-by: jenkins Reviewed-by: Andrey Yurovsky <yurovsky@gmail.com>
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2014-02-14  Christian Eggers <ceggers@gmx.de>

	* : Constify received GDB packet v2: - Split work into separate patches The received packet will not be altered in any of the processing
	functions.  Some it can be made "const".  Change-Id: I7bb410224cf6daa74a6c494624176ccb9ae638ac Signed-off-by:
	Christian Eggers <ceggers@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1919 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-03  Christian Eggers <ceggers@gmx.de>

	* : Remove unneeded zero termination of received packet v2:   removed curly braces around single statement if-block packet[] has already been zero terminated in gdb_input_inner() This
	change is necessary in order to make packet[] "const".  Change-Id: I978bbe52d151a63574db77fb747f596da256d377 Signed-off-by:
	Christian Eggers <ceggers@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1922 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-01  Christian Eggers <ceggers@gmx.de>

	* : RTOS: Unify wipe-out of thread list Each RTOS implementation uses it's own (similar) code to free the
	thread list. There are some additional issues: <---> if (pointer != NULL) 	free(pointer); <---> This is not necessary, free(NULL) is perfectly
	ok.  <---> free(rtos->thread_details); rtos->thread_details = NULL;
	rtos->thread_count = 0; <---> The 3rd line has been missing for all
	RTOS but ChibiOs. There are paths in the code where
	rtos->thread_count is never set to NULL, which can lead to null
	pointer dereference of rtos->thread_details.  Change-Id: I6f7045c3d4518b925cb80dd5c907a566536b34ad Signed-off-by:
	Christian Eggers <ceggers@gmx.de> --- Changelog: v7: - rtos_wipe_threadlist() --> rtos_free_threadlist() - removed non related changes in gdb_server.c from this patch v3: - Removed world "topic" from first line of commit message v2: - typo: "whipe" --> "wipe" Reviewed-on:
	http://openocd.zylin.com/1916 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-11  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : fm3: fix erase flash fail on using High Level Adapters.  This fix can "erase flash" on using High Level Adapters by running
	algorithm.  Because fm3 flash commands must need true 16-bit memory
	access, but High Level Adapters(ST-Link/TI-ICDI) can 8/32bit access
	only.  Tested on MB9BF618T and MB9AF112K with STLink/V2.  Change-Id: I849a8a8e8ae2b3e77717de04f7522cf718c915d7 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1944 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-07  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Implement the support for Nordic's nRF51 devices Add support for Nordic's nRF51 chip series. Tested with nRF51822.  Change-Id: Id70f6fd76888cc595a353aefb84d25c4cd325d7d Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1945 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-04  Paul Fertser <fercerpav@gmail.com>

	* : tcl/drscan: handle invalid syntax with a conditional, not assert When "drscan" command is used improperly, such as in: drscan
	stm32f1x.cpu -endstate drpause there're no fields to scan, and so
	the assert leads to a segfault. This should be treated like any
	other syntax error instead.  Change-Id: Id1743f5d641038e1e3754c6f3097aabc5d1916b9 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1927 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-15  Paul Fertser <fercerpav@gmail.com>

	* : drivers/ftdi: warn the user if he tries to use undefined reset
	signals It is really an error to try to use a reset_config that doesn't
	match adapter's capabilities, however OpenOCD has no way to specify
	them.  Using wrong reset_config might lead to very confusing behaviour, so
	I think LOG_ERROR is justified here.  Change-Id: I1c6dcfa7c0d78829229a850189cad646b565dd66 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1948 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-16  Fatih Aşıcı <fatih.asici@gmail.com>

	* : cfg: Make stm32f4x usable with SWD transport Change-Id: Ib8f3b414ec3c31cf8a112e75efe003e2237c59bb Signed-off-by:
	Fatih Aşıcı <fatih.asici@gmail.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1951 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Nemui Trinomius
	<nemuisan_kawausogasuki@live.jp>

2014-01-30  Paul Fertser <fercerpav@gmail.com>

	* : arm926ejs: fix write memory operations with caches enabled Perform proper ICache flush operations on memory writes. This should
	fix inability to use software breakpoints for debugging with caches
	enabled.  This patch is only compile-time tested.  Commit 1137eaedaf6498f3448cdedf6f93076d9b3fd58a fixed the same issue
	for arm920t. Among all the arm7_9_common targets only arm926ejs
	seems to be broken in the same way.  Change-Id: I575306ac4319a69fc637b42f7c958f4595c5e81f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1912 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-02-06  Pete Batard <pete@akeo.ie>

	* : doc: update README.Windows with new Zadig download URL As the old SF repository indicates, newer downloads have been moved
	to an alternate server, and 3 new releases of Zadig have already
	occurred there.  Change-Id: I8ff967fd834e9c8dd2cce9dcbbe07e03d2b33e4a Signed-off-by:
	Pete Batard <pete@akeo.ie> Reviewed-on:
	http://openocd.zylin.com/1940 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2014-02-03  Kuldeep Singh Dhaka <kuldeepdhaka9@gmail.com>

	* : nor/flash/stm32f1x: add stm32f07x support Added configuration to work with stm32f07x.  Tested on
	stm32f072discovery with libopencm3 stm32f0 blink example.  Change-Id: I63cdc9bf1f28f5951d6b4faac871cfde331c9c78 Signed-off-by:
	Kuldeep Singh Dhaka <kuldeepdhaka9@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1921 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-01-22  Anton Kolesov <anton.kolesov@synopsys.com>

	* : gdb_server: Fix confusing warning when entering noack mode Comment in gdb_server code mistakenly attributed constant warnings
	about unexpected acknowledgement to the ACK packet sent by GDB when
	establishing connection. However that is not the case, OpenOCD
	gdb_server is handling this packet correctly without an warnings.
	This warning instead was caused by the ACK packet which GDB sends
	right after going into noack mode. Because OpenOCD gdb_server is
	already in noack mode at this state, it emits warning about it. This
	is a documented GDB behaviour

	(https://sourceware.org/gdb/onlinedocs/gdb/Packet-Acknowledgment.html)so there is no reason to scare users with warnings in this case.  This patch basically introduces two-level noack mode: after
	receiving QStartNoAckMode gdb_server will set noack_mode to 1, then
	it will receive this last ACK packet, but instead of printing a
	warning, noack_mode will be increased to 2. Should there be any
	other ACK packets after that, they will be properly reported by
	warning. All other code that relies on noack_mode checks it for "!=
	0", so there will be no difference if it is 1 or 2.  Change-Id: I0e9c57fd93293bfe010390db2f3f161528b11d86 Signed-off-by:
	Anton Kolesov <anton.kolesov@synopsys.com> Reviewed-on:
	http://openocd.zylin.com/1895 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/mdr.c: fix uninitialised variable warning Caught (actually, it's breaking the build) by clang 3.3.  Change-Id: Ife6fabf8a57e6c90ab45aaaf75557c984ac6772c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1875 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : target/nds32_disassembler: fix format specifiers warnings According to the standard every operation returns at least an
	integer, so PRIu8 format specifier is not suitable for these values
	as is.  This breaks build on OS X (x86_64-apple-darwin13.0.0) with "Apple
	LLVM version 5.0 (clang-500.2.79) (based on LLVM 3.3svn)".  Fix by adding appropriate casts. In fact there's plenty of room (and
	I'd say necessity) for factoring out common code in there, but it's
	too invasive for a non-maintainer.  Change-Id: I7d2182eb1d2f86fa22c882fbbaa6cfadf1c3e8fc Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1878 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Hsiangkai Wang
	<hsiangkai@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : rtos: fix uninitialised variable warning Breaks build with clang 3.3. This "addr" variable is actually always
	ignored by next_symbol() when cur_symbol is an empty string but
	clang can't (and probably shouldn't) prove that automatically.  Change-Id: Id030f1aa34b9d40b5fa20a422031511520e52669 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1876 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-02  Paul Fertser <fercerpav@gmail.com>

	* : interface/ftdi: add TUMPA Lite config TUMPA Lite is a cheap FT232H-based breakout board, without any
	buffering. It also lacks series resistors so for some targets
	(especially when not using ridiculously short wires) one needs to
	add about 47 Ohms in series on every high-speed line.  The SRST line is connected directly to the FT232H too.  Real-life tested (including SRST and TRST).  Change-Id: I5ed4f88d8d20384e9c52efe2ff0c290e2650d43e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1918 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-27  Spencer Oliver <spen@spen-soft.co.uk>

	* : doc: update CMSIS-DAP info to match default driver behaviour By default the driver will now auto detect attached adapters, it
	does not use an internal list any more. Update docs to match this.  Change-Id: I62a9d243cd236a8cf54cbd9d088c4837a8df31bf Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1902 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-01-25  Antony Pavlov <antonynpavlov@gmail.com>

	* : top .gitignore: ignore .dirstamp files Just after succesfull build you can see some untracked files in the
	'git status' output: 	src/jtag/drivers/versaloon/.dirstamp 	src/jtag/drivers/versaloon/usbtoxxx/.dirstamp This commit fixes the problem.  Change-Id: I1674eb4423e97c5f0a47f216981eaffdc351f784 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1898 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2013-08-22  Luca BRUNO <lucab@debian.org>

	* : Add GDB remote target description support for ARM4 This commit adds support for passing the ARM4 target description to
	GDB when enabling gdb_target_description, in order to expose all
	banked registers.  Change-Id: Id618bc6226f00fe83397ea28888a84b64b09cafd Signed-off-by:
	Luca BRUNO <lucab@debian.org> Reviewed-on:
	http://openocd.zylin.com/1810 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-15  Andrey Yurovsky <yurovsky@gmail.com>

	* : flash: samd: declare const data Make the chip information lookup tables const (thanks to Spencer
	Oliver for pointing this out).  Also fix spacing on one macro.  No
	functional changes.  Change-Id: I053c4951c2626b8aa4541a79673b500394ef08e8 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1874 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : Add CMSIS-DAP information to the READMEs.  Change-Id: I8c87d559adf07b0f0702fe9d388f26bf046bcb8b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1880 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-11-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Retire jtag_add_dr_out The out only version of jtag_add_dr_scan smells like a bogus
	optimization that complicates the minidriver API for questionable
	gain.  The function was only used by four old ARM targets. Rewrite the
	callers to use the generic function and remove all implementations.  Change-Id: I13b643687ee8ed6bc9b6336e7096c34f40ea96af Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1801 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add Freescale FRDM-KL46Z Board Change-Id: Ib585728f13a380eeeb2ada095f3e1a1c2aaf44cb Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1866 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-01-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortexm: use Cortex-M rather than cortex-m3 for dwt registers Change-Id: I28e3a8c65ccc4a4e3ec94e41c846e6a263c165e8 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1865 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-01-13  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Grammatical cleanup to Tcl Scripting chapter of User's Guide Changes solely to the Tcl Scripting API chapter of the UG: * Some grammatical cleanup * Fix formatting issues (@example and @verbatim formatting) * Add references to missing OSes OpenBSD, NetBSD and eCos.  Change-Id: I3ec1a192a0b1e0a207dceb76fd39008d01e287a5 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1872 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-29  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: Avoid unnecessary saving and restoring of DCRDR This is used for the emulated DCC channel which is only maintained
	as long as target->dbg_msg_enabled is set. Skip the saving and
	restoring if not enabled to save one dap_run() per core register
	access.  Note that we could've probably queued all core register accesses in
	the same transaction if the armv7 register framework hadn't required
	synchronous register accesses.  Change-Id: I4fe6d713261ee5db42422203eb63035fdcc48891 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1848 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-29  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: Fix possible endianness problem in emulated DCC
	channel Change-Id: If7104464a8c65085f3ceac445e9c9be8446f2da9 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1846 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-27  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : lpc2000: fix LPC810 programming support IAP commands fail on programming LPC810 because it has only 1kByte
	of SRAM.  This patch is fixing cmd51_max_buffer suitable size for
	LPC810,LPC811 and other LPC1000 series.  Tested on a
	LPC810,LPC812,LPC11u14,and LPC1114(DIP28).  Change-Id: Iecec9fd963cb63bdff4a7bd3bbf4f8b1a7c60fbd Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1843 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-11  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Remove obsolete tip referring to 2010 removal of TAP numbers.  Remove a tip describing the discouraged use of TAP numbers, and how
	these numbers would be removed by mid-2010.  Change-Id: Iebe7e2e4a0f8e1f18a91d7935588dd9ced2b398d Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1862 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-09  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Some minor URL fixes and typo fixes, no functional changes.  Change-Id: Ib262d9e6330c35d26868942b821de7b53e00b854 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1859 Tested-by: jenkins Reviewed-by: Bill
	Traynor <btraynor@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-19  Andrey Yurovsky <yurovsky@gmail.com>

	* : add support for Atmel SAM4L NOR Flash This adds a new NOR Flash driver, "at91sam4l", which supports the
	built-in Flash on Atmel's low-power SAM4L family of Cortex M4 MCUs.
	Parts and their geometry are detected automatically using the Chip
	ID and lookup schemes described in document 42023E–SAM–07/2013.  Tested on AT91SAM4LC4CA via the SAM4L XPlained Pro development kit.  Change-Id: If73499dee92cc8ce231845244ea25c6984f6cecd Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1639 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add stm32 cmsis-dap compliant config Change-Id: I3cfb21fdcef830e22b03bf4b5d58993728cc7475 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1543 Tested-by: jenkins

2014-01-08  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : command: Fix formatting for empty usage string Introduced by requirement in 54d6330b.  Change-Id: If3dba057127b54b15ca7f364f37c6286d34f77e0 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reported-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1858 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-30  Paul Fertser <fercerpav@gmail.com>

	* : tools: add firmware recovery helpers This adds a set of helper functions with the aim to make it possible
	to flash mass-market devices without RTFMing altogether (i.e. to
	obsolete GPL-violating proprietary tjtag and other similar
	software).  Real-life tested on an RT-N16 and WRT54GL.  Change-Id: I197a9b28a5f386803f081057c4b4ebf2f9c447b1 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1850 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-30  Paul Fertser <fercerpav@gmail.com>

	* : tcl: add bcm47xx config and Asus RT-N16 board using it This adds the bcm47xx config with the special undocumented trick to
	put it into standard EJTAG mode from the mystic "LV mode".  The RAM setup is not done as it would require considerable efforts
	without much practical gain.  The only issue I noticed so far is that "reset" doesn't actually
	reset the chip.  Unfortunately, it's unclear how to make it work properly with SRST
	as OpenOCD asserts it in MIPS-specific code so the device will enter
	LV mode again but the LV tap is already disabled by that time, so
	it's not possible to send the magic command again.  Anyway, this config is more than enough to "recover" any RT-N16
	provided the hardware is not damaged.  Change-Id: I0894e339763e6d20d1c93341c597382b479d039b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1849 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-08  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Update URLs and names in amdm37x.cfg, no functional changes.  * openocd.berlios.de -> openocd.sourceforge.net * Update link to AM/DM37x Technical Reference Manual (ver R) *
	"ICEpick" is properly spelled "ICEPick" according to TI Change-Id: Ie04458e82c97ef766ec03bd9b9f27edadf5d1cb2 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1856 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-29  Franck Jullien <franck.jullien@gmail.com>

	* : jtag_vpi: make the server address configurable Change-Id: I58e89c789b79ffb0b54ef94d208be876c271ddf7 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1840 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-28  Steve Moorby <steve.moorby60@gmail.com>

	* : topic: Added Spansion S25FL128S and S25FL256S spifi devices.  S25FL256S device tested on mbest LPC4357 EVM, S25S128S untested but
	from the same data sheet.  Change-Id: Idf58416aab08671fe29d22c3c34c2118b25a9d45 Signed-off-by:
	Steve Moorby <steve.moorby60@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1844 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-11-10  Mathias K <kesmtp@freenet.de>

	* : stlink: remove stlink_api command Remove stlink_api command.  Change-Id: I8f7885d3756fec462f9ebbee2ed285a98a51366c Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/1760 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Add %APPDATA%\OpenOCD to script search path on win Change-Id: I01e9715fe064f3ff41e41a59a4764d6474f82183 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1797 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-11-20  Alex Murray <alex.murray@cohdawireless.com>

	* : target/imx6: Fix typo in setting _SJC_TAPID from SJC_TAPID
	variable The set command was missing the $ prefix on the SJC_TAPID variable
	and so would fail if SJC_TAPID was set Change-Id: Ib9af58f5188bd8a2bc3f888309f203d624476c27 Signed-off-by:
	Alex Murray <alex.murray@cohdawireless.com> Reviewed-on:
	http://openocd.zylin.com/1811 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Vladimir Zapolskiy <vz@mleia.com>
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-10-30  Mathias K <kesmtp@freenet.de>

	* : build: remove hard coded ftdi and usb libraries This patch remove the hardcoded libraries. Also a check for libftdi1
	installations was added. This check fix an issue with gentoo and
	maybe other systems.  Change-Id: Ieff9ec4d66ee0f3e6b22261a10e4cab9f26b6b51 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/1759 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-07  Paul Fertser <fercerpav@gmail.com>

	* : target: add kl25z HLA (stlink) config Based on Nemuisan Tokusei's. Untested, but original config was
	reported to work ok.  Change-Id: Ic991dce55bfca266880081fe2bbd9e6e263b0fc0 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1803 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-17  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : cfg: Add new BSTAPID for STM32F42xxx and STM32F43xxx series STM32F42xxx & STM32F43xxx series boudary scan TAP-ID are differ from
	STM32F405xx/07xx & STM32F415xx/17xx.  And Section number was also
	fixed for RM0090 rev5.  Tested on a STM32F427IIT6 and STM32F429ZIT6.  Change-Id: Ie9c54c55b97b9c396ace752d94ea2ad916cc8479 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1808 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-11-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : versaloon: Finish support for serial number matching Add a command to specify the serial string and pass it to the find
	helper.  Actual matching was already supported for both serial and
	product but was using hard coded string indices. Instead use the
	indices from the device descriptor.  Change-Id: I17c7538e5ad301ef41eace1ee70a202adab23bb4 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1816 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-25  Paul Fertser <fercerpav@gmail.com>

	* : ftdi/neodb.cfg: mark as tested Working against openmoko gta02 target, including TRST and SRST (the
	stupid samsung chip fully resets under trst, so it's actually of
	little use here).  Change-Id: I831124659fc12efbccef536f07d15509c2112f92 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1814 Tested-by: jenkins Reviewed-by:
	Vladimir Zapolskiy <vz@mleia.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-12-10  Andrey Yurovsky <yurovsky@gmail.com>

	* : stm32lx_dual_bank.cfg: fix typo in file path s/stm32l1x/stm32lx ...this makes tm32lx_dual_bank.cfg work again.  Change-Id: I04dc617523caa6b46c675fe9b700d1bbe88170e6 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1832 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-22  Luca BRUNO <lucab@debian.org>

	* : NULL check before dereferencing Check reg_list[i]->feature for NULL pointers before checking
	feature->name in order to avoid NULL access.  Change-Id: If20401a6c5aa5e1e29f0fcf9bb95585b49658832 Signed-off-by:
	Luca BRUNO <lucab@debian.org> Reviewed-on:
	http://openocd.zylin.com/1809 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se> Reviewed-by: Jens Bauer <jens@gpio.dk>

2013-11-21  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Add byte-swap helpers Change-Id: I970616bb0e2bbc693165a0d311840febbd9134f1 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1798 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se> Reviewed-by: Franck Jullien
	<franck.jullien@gmail.com>

2013-10-24  Per Ekman <pekenator@gmail.com>

	* : kinetis : Add flash read support to the kinetis nor flash
	driver.  The default_flash_read() function seems to work ok.  Change-Id: Ia34c4642405f669ff63310fa8c641098b771a401 Signed-off-by:
	Per Ekman <pekenator@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1763 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-24  Mathias K <kesmtp@freenet.de>

	* : hla: Make consistent parameter naming Rename fd to handle.  Change-Id: I98615aed1546976d00b0f20856d4e8e75f83c575 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/1761 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-04  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ulink: Fix libusb include changed since pkg-config merge Change-Id: I1556aaf117f99de046e3c16d5386faaaefdfefd8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1795 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins

2013-11-01  Andrey Yurovsky <yurovsky@gmail.com>

	* : stm32l flash: add another device ID Add device ID 0x437, a dual-bank part with 512KB total.  This one
	used the Medium+/HD flash size register to read the flash size in Kb
	rather than the 0/1 code in the Medium+ parts.  Signed-off-by: Andrey Yurovsky <yurovsky@gmail.com> Change-Id:
	I870fe3bb1b473939b7211c3b2edb44b4b3643648 Reviewed-on:
	http://openocd.zylin.com/1790 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-04  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : fm3: fix Fujitsu MB9Ax family support Some MB9Ax (especially few internal SRAM model) fails programming
	because of wrong SRAM basic-address on running algorithm.  Default
	SRAM basic-address must be 0x20000000.  This patch is fixing default
	SRAM basic-address and ramcode offset.  Tested on a MB9BF618T and
	MB9AF112K.  Change-Id: Ibda9aceb4c317bcae0dcce9f6d0fd1c4b5d81952 Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1793 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-31  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : lpcspifi: Fix byte order bug Found by grepping for pointer casts.  Change-Id: I42ef3ebcce9fc6391154888b48601ede8377c34e Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1771 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : smp: Fix byte order bug Found by grepping for pointer casts.  Also rewrite to reduce scope and allocate the few bytes needed on
	stack instead of on heap.  Change-Id: Ia2a369fb612e807b981ee60ebcfd9c09c2fbdf4c Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1779 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ioutil: Remove unnecessary casts and fix const-discarding Using the right parameter type, there's no need to resort to
	casting.  Change-Id: I8aec852431ead26e24793fd6fac8781353963bf2 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1777 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Jens Bauer
	<jens@gpio.dk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : str9x: Fix byte order bug Found by grepping for pointer casts.  Change-Id: Ie2d698310b077c3849266e81df8e6a808cbc6896 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1775 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f1x: Fix byte order bug and remove unnecessary cast Found by grepping for pointer casts.  Change-Id: Ibd8f22a9e9ca71459ba0bedc8447a3623d0e4184 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1773 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : lpc2900: Fix byte order bugs and remove unnecessary casts Found by grepping for pointer casts.  Change-Id: Ib94957a0c53ec7abcbd5787d8c70e20c9eedc4b7 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1770 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ftdi: Remove unnecessary cast Also make sure future growth of the tap_get_tms_path() return value
	will get noticed.  Change-Id: Id859b463e5fdc819a4bc3b4845bf4363fbe713af Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1768 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : nand/mx*: Remove unused host endianness flag Probably shouldn't depend on that anyway.  Change-Id: Ic27ead4cb82cff1ab187696439da4b93941e09d8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1766 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Clean up const usage to avoid excessive casting Don't use const on pointers that hold heap allocated data, because
	that means functions that free them must cast away the const.  Do use const on pointer parameters or fields that needn't be
	modified.  Remove pointer casts that are no longer needed after fixing the
	constness.  Change-Id: I5d206f5019982fd1950bc6d6d07b6062dc24e886 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1668 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-30  Paul Fertser <fercerpav@gmail.com>

	* : Clean up many C99 integer types format specifiers This eliminates most of the warnings reported when building for
	arm-none-eabi (newlib).  Hsiangkai, there're many similar warnings left in your nds32 files,
	I didn't have the nerve to clean them all, probably you could pick
	it up.  Change-Id: Id3bbe2ed2e3f1396290e55bea4c45068165a4810 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1674 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-26  Paul Fertser <fercerpav@gmail.com>

	* : checkpatch: treat jenkins as valid email This is needed to avoid checkpatch barking on already committed
	patches.  Change-Id: Ic2b4cfa04c8230d45c68bbf6b370841f682b32d6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1785 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Mathias Küster
	<kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-26  James G. Smith <jsmith@ecoscentric.com>

	* : hla/stlink: Re-order trace parameters to allow trace output file
	to be optional Re-order the "trace" parameters to allow the raw capture (log) file
	to be an optional feature. The clock frequency for calculating the
	"Async Clock Prescalar" is always required when enabling trace
	processing and is now the first "required" parameter.  The ST-Link driver is updated to use the (required parameter)
	"trace_source_hz" non-zero value as the indicator of trace being
	required, rather than the now optional output file descriptor being
	non-NULL.  Background: This patch is groundwork for extending the OpenOCD SWO
	capture to implement other (OpenOCD built-in) ITM/DWT processing
	where the core trace support is required, but there is no
	requirement to store raw trace data to a configured host file. By
	itself this patch is almost a functional NOP, since without the
	other processing in place there is no reason NOT to specify a
	capture file.  Change-Id: Ibc385dd0a7adaf9bd652bceded27262fef35fd59 Signed-off-by:
	James G. Smith <jsmith@ecoscentric.com> Reviewed-on:
	http://openocd.zylin.com/1660 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-06-22  Paul Fertser <fercerpav@gmail.com>

	* : tcl: add memory testing functions for board diagnostics This is a tcl implementation of public domain tests by Michael Barr,
	http://www.barrgroup.com/Embedded-Systems/How-To/Memory-Test-Suite-C The initial porting is done by Shane Volpe and posted to the mailing
	list:

	http://www.mail-archive.com/openocd-development@lists.berlios.de/msg16676.htmlThis patch includes some cosmetic amendments plus hardcodes 32bit
	word size (as the code depends on memread32/memwrite32 anyway) which
	fixes original code's issue of testing only the first quarter of the
	specified nBytes.  Change-Id: I5f3a66f1f16fc4082c7a5a6aba338430646ed21c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1455 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Mathias Küster
	<kesmtp@freenet.de>

2013-10-18  Sergey A. Borshch <sb-sf@users.sourceforge.net>

	* : hla_interface: init trst, srst variables.    There is an remark in jtag_srst and jtag_trst variables
	  declaration: /*    * JTAG adapters must initialize with TRST and SRST de-asserted    * (they're negative logic, so that means *high*).  But some    * hardware doesn't necessarily work that way ... so set things    * up so that jtag_init() always forces that state.     */   but in hla_target such forsing is missed and both variables
	  remains uninitialized until "reset" command issued, It prevents
	  target polling when connecting to running target.  Change-Id: Ia620d8794cca8ba1403f5c5f24767e730033748a Signed-off-by:
	Sergey A. Borshch <sb-sf@users.sourceforge.net> Reviewed-on:
	http://openocd.zylin.com/1698 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Mathias Küster
	<kesmtp@freenet.de>

2013-10-09  Greg Ungerer <gerg@uclinux.org>

	* : armada370: initial support for Marvell Armada 370 family Initial support for using the jtag interface to the Marvell Armada
	370 family of SoCs.  Change-Id: Id823a567e8805ac622c3c330bc111297c1dae37e Signed-off-by:
	Greg Ungerer <gerg@uclinux.org> Reviewed-on:
	http://openocd.zylin.com/1690 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-12  Gaëtan Carlier <gcembed@gmail.com>

	* : flash: mxc nfc(v1) : fix incorrect address in spare area for
	biswap command For NFC v1 (i.MX27), swapping must be done between offset 464 of
	Main buffer and offset 4 of Spare buffer.  Change-Id: I09c2036e88770032da87d5846cd2094847f47b46 Signed-off-by:
	Gaetan Carlier <gcembed@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1692 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : lpc288x: Can now use target_write_buffer() Use the preferred code path according to the comment.
	Target_write_buffer() now simply uses suitably aligned
	target_write_memory calls, so from this pov, they should be
	equivalent.  Change-Id: I77f51ec3ac9faa822cf428708a1aecb67c77830c Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1687 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-07  Sergey A. Borshch <sb-sf@users.sourceforge.net>

	* :     hla_target: Update target state when polling     Polling target does not change stste information     except if new state is TARGET_HALTED.      Connecting to the runing target result in target->state     not updated with retrieved value and remains "UNKNOWN"     until 'halt' command issued.  Change-Id: I803d6c0207f7f8699e648779d1df342c9ee7315a Signed-off-by:
	Sergey A. Borshch <sb-sf@users.sourceforge.net> Reviewed-on:
	http://openocd.zylin.com/1680 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-13  Franck Jullien <franck.jullien@gmail.com>

	* : openrisc/tap_vjtag: fix IR setting Change-Id: I2b1f057dc9777ff263d6cefa4ff5958e85607a22 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1694 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-14  Paul Fertser <fercerpav@gmail.com>

	* : checkpatch: add logging functions It's commonly considered that user-visible strings should not be
	split to different lines in the sources to ease grepping for them.
	Hence, checkpatch traditionally makes an exception for logging
	functions, lines having them can be of arbitrary length.  OpenOCD uses different (from Linux, the kernel) names, so they need
	to be added to avoid false positives.  Change-Id: I1198c1ffc62b5403d97efa41e665c81a5b6bb3a3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1696 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-03  Franck Jullien <franck.jullien@gmail.com>

	* : jtag_vpi: fix path move function Change-Id: I82bf6f733e0d9cb5c86553d0827c558fa98aa247 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1672 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-18  Paul Fertser <fercerpav@gmail.com>

	* : bcm2835gpio: use maximum drive strength According to the docs, the default drive strength for the GPIO pads
	is 8mA but they're capable of 16mA. Configure GPIO 0-27 to use the
	maximum (as they might be used on high enough frequency with JTAG).  Change-Id: I621737a1b0a855bb97b56ce2cc46c0e385b74f5d Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1633 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : str7x: Improve info text There's no way to print two lines, so let it wrap.  Change-Id: I1f6211358a58877c0b729d9fdefd5d3dea8cba00 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1643 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : stm32l: set default padded value The stm32l family has an erased value of 0x00, so overide the
	defaults used by OpenOCD.  Change-Id: I314bdef1f8482fbcbd43e0f413247d3a35af869d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1636 Tested-by: jenkins

2013-10-02  John David Anglin <dave.anglin@bell.net>

	* : flash: fix mini51 cygwin build issues Under certain versions of cygwin it appears PAGE_SIZE is already
	defined.  So change name to stop any possible build issues.  Change-Id: I6f0e0c352c06bb6118ac3a5b884ae8e93194b570 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1675 Tested-by: jenkins

2013-10-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f2x: Detect STM32F42x rev Y Change-Id: Iaf94f6dda0686cce56be77431bbb961bfd5e8d14 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1688 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jtag/tcl: Remove no-op free And use calloc instead of malloc+memset.  Change-Id: Icc1ed6e34904972bb5d3728307dcae5c55b32fc3 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1666 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-22  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : gdb_server: Further cleanup of target desc functions Fix use of uninitialized pointer passed to xml_printf, caught by
	valgrind.  Make sure a failed gdb_generate_target_description frees all
	allocated memory and avoids touching its out argument.  Plug memory leak and check allocation in
	handle_gdb_save_tdesc_command.  Change-Id: I30e20f6760a6215b1b4496304acdf47347eed829 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1645 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Franck Jullien
	<franck.jullien@gmail.com>

2013-09-22  Paul Fertser <fercerpav@gmail.com>

	* : board: add TM4C123G LaunchPad config Almost the same as the LM4F120 LaunchPad but the chip is using the
	new naming scheme (Tiva C series), supports USB OTG and has some new
	PWM hardware blocks.  Change-Id: I6a7b2df76768766471f366cddaf64df3cc63f5f2 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1647 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: Call mem_ap_read/write directly Change-Id: I52e1d8babf7bf9fcde4094046d29b817c15c0562 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1659 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_m: mem_ap access functions take number of bytes, not
	words Accessing one byte of memory using a 16-bit access is not well
	defined.  The current implementation is forgiving and rounds up, but
	it should not be relied upon.  Also, I suspect this code might fail if the byte order differs
	between target and host, but I have no way of verifying it so I left
	it as it is.  Change-Id: I8d6a511151a194ed419f141703201f0632d84fc8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1657 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-22  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : arm_adi_v5: Fix packed and unaligned memory writes For packed and/or unaligned accesses, the write functions reordered
	the source buffer in place. Causing in the best case a segfault, in
	the worst case silent data corruption.  Rewrite the data fetching to directly match the byte lane mapping
	according to IHI0031C, without destroying the buffer.  Also slightly clean up variable usage and harmonize all the write
	functions.  Change-Id: I9a01cfc5578653f9ec02043ff6b61a7a20f90d67 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1646 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-23  Paul Fertser <fercerpav@gmail.com>

	* : Require Autoconf >= 2.64 m4_argn macro was introduced in v2.63b-34-g46e87de on the 22nd of
	Apr 2009.  Change-Id: Id01cc9f0ffdb46cf6dfd26c3bf3b5efa0ddd2984 Reported-by:
	Franck Jullien <franck.jullien@gmail.com> Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1656 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-20  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Fix strange ordering in target_read_u8 It's been like this since the check was added, in 5aa93a5e.  Change-Id: Iaa0586e0cd1ce57ad92735dcc3e51108a133fe96 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1640 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : doc: correctly terminate @xref @xref should be terminated by either a ',' or '.'.  Change-Id: I141335cd4e149992fc971c6f2c04f1dbe390c8f4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1637 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-09-14  Petri Laakso <petri.laakso@asd.fi>

	* : build: fix NetBSD build warning Seems NetBSD does like the name reboot, so rename to keep happy.  Change-Id: I60ada9d217c4a8386a8d1ff1c88db7335451794e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1623 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-09-18  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: remove usb timeout magic numbers Change-Id: I4ec4cb0bc344c4c1de9113fa12ed84e5e2e87b31 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1631 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-09-19  Paul Fertser <fercerpav@gmail.com>

	* : README.Windows: MinGW-w64 is known to work for building, regular
	MinGW is quirky The regular MinGW doesn't work properly because it doesn't try to
	provide C99 compatibility currently.  Change-Id: I27c1b9e1496a8c32032fab08a29cbe1124316edd Reported-by:
	Tomáš Voda <Voda.Tomas@seznam.cz> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1638
	Tested-by: jenkins Reviewed-by: Xiaofan <xiaofanc@gmail.com>
	Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdb: cleanup gdb target description support Make sure we free any memory used for gdb_save_tdesc.  Change-Id: Ia226f6134318c8c6b0ac4fa20fe70a570a08d80d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1619 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: remove gdb register hacks Now that we support the target description format we do not need
	these hacks anymore, we can now tell gdb what registers we support.  Change-Id: Ie774231d296420b35efcf708bc4435475c87ff5e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1617 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-17  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Restore mwh/mwb functionality.  Half-word and byte writes using mwh/mwb has been completely broken
	since bf71e34cbf, because it dispatched all writes, regardless of
	access size, to target_write_buffer(), which uses as large accesses
	as possible.  Partially revert the commit by changing back to the correct write
	method.  Change-Id: I60731fc576bf4a076a7da02bee7879e121c21d17 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1628 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-18  Paul Fertser <fercerpav@gmail.com>

	* : README.Windows: pkgconfig-lite should go into MinGW, not MSYS As autoconf is part of MinGW, it uses its root to find m4 files,
	pkg-config should be installed accordingly.  Change-Id: I551797e61a3d044f751768bd7d57d8e26e7202cc Reported-by:
	Tomáš Voda <Voda.Tomas@seznam.cz> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1630
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-06  Stephan Linz <linz@li-pro.net>

	* : configure: expand library search for libftd2xx Error was: checking for library containing FT_GetLibraryVersion...
	no configure: error: You appear to be missing the FTD2xx driver
	library.  Reason were two cases: Case one: The FTD2xx library uses clock_gettime() and in normal
	cases the linker will find the function in the libc library. Most (older) systems require the program be linked with the librt library
	to use these (see man clock_gettime: Link with -lrt).  Case two: You can rebuild the FTD2xx library (relink from the object
	files) against the primary (system wide installed) libusb-1.0.  So
	you avoid mixed code (GPL with proprietary code) in the FTD2xx
	library. In this case, the FTD2xx library provides no private
	(linked in) libusb-1.0 functionality and require the program be
	linked with the libftd2xx __AND__ the libusb-1.0 to resolve all the
	libusb-1.0 symbols.  Change-Id: Iaf9a35ab4257e37b98dccd47667378ad2a64b7ed Signed-off-by:
	Stephan Linz <linz@li-pro.net> Reviewed-on:
	http://openocd.zylin.com/1614 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-08-01  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : configure: Add libusb-1.0 header bug workaround Force the libusb-1.0 include dir to be treated as a system include
	path which suppresses the cast-align warnings otherwise failing the
	build on some platforms.  Change-Id: I738cfd793052b8772731d2feeef968ee893bd4bd Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1534 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-11  Paul Fertser <fercerpav@gmail.com>

	* : libusb: require pkg-config support An alternative approach to show how much cleaner the pure pkg-config
	way is.  This changes the discovery procedures for libusb-1.0 and libusb-0.1,
	making them depend on pkg-config being properly installed and
	configured, including the necessary build host configuration for the
	cross-builds (see

	http://www.flameeyes.eu/autotools-mythbuster/pkgconfig/cross-compiling.html)It should make it possible to compile OpenOCD without changes and
	extra effort on GNU/Linux, FreeBSD users would need to supply a .pc
	file for their libusb implementation or add LIBUSB1_LIBS and
	LIBUSB1_CFLAGS to the configure environment.  Change-Id: I826e378dd1e0d101a549a573b2c63212a7e00b64 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1467 Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : flash: add Nuvoton NUC910 series support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 Change-Id: Ic3273e64fd99bffab16764b06227e09a05d07c8f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1510 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp>

2013-07-11  Hsiangkai Wang <hsiangkai@gmail.com>

	* : aice: add target name to nds command messages Change-Id: Ie6c786c6880fb554af54ed27f1c159326f60a701 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1583 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-11  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: Use DMA to access memory as no DCache As GDB uses file-I/O protocol to access memory, use DMA to access if
	no DCache.  This commit improves the performance of Andes Virtual
	Hosting.  Change-Id: I36bb2154b9f497fc4237625836cf8c7115330a60 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1580 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-10  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: support FreeRTOS Change-Id: I117b5541fb19388c0f5c2344ee42d9151c9a222e Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1577 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-10  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: change default value Change-Id: I0505bdc0e75543a3b205981339c5b9fa78a080ca Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1575 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-27  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: support Andes profiling function Change-Id: Ibc45ec5777d6841956c02de6b4ae8e74c2a6de37 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1585 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-26  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: add profiling interface Profiling could be target-specific.  Add .profiling interface to
	target_type.  Change-Id: Ic0eea9db742971db1350a474fbbb5ed24565922b Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1571 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-30  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: Correct profiling calculation 1. high_pc should be (maximum sample + 1) (Refer to gprof source
	code) 2. bucket index should be      sample offset     --------------- x (number of bucket) 	 sample range For example, if minimum sample is 0 and maximum sample is 5 and the
	number of bucket is 3.  a = sampled_address - 0 b = 3 c = 6 (a, b, c refer to source code variables) sampled_address = 0, => a = 0, => bucket_index = 0 sampled_address =
	1, => a = 1, => bucket_index = 0 sampled_address = 2, => a = 2, =>
	bucket_index = 1 sampled_address = 3, => a = 3, => bucket_index = 1
	sampled_address = 4, => a = 4, => bucket_index = 2 sampled_address =
	5, => a = 5, => bucket_index = 2 Change-Id: Ia9fa0e4d9c7183e3e9d7ceaf73e63729f07aa2ce Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1607 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-17  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: refine nds32_v2 implement Change-Id: I6e26ffbdcd426a15b34bff022964946f613f318c Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1569 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-13  Hsiangkai Wang <hsiangkai@gmail.com>

	* : aice: Always setup SDP basic mode Change-Id: I1c0c11c2b9097b25324da0591edf036af207dbe9 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1567 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-27  Anton Kolesov <akolesov@synopsys.com>

	* : gdb_server: Do not set gdb_con->sync to true for new connections In GDB connected to OpenOCD there is a command "monitor gdb_sync"
	which makes next stepi command to be ignored while GDB still will
	get an updated target state. This command sets gdb_connection->sync
	field to true to notify that stepi should be ignored. This field is
	set to true for all new connection and is set to false after first
	"continue" command. However if first resume command is stepi/nexti
	then it will be ignored and result will confuse GDB client, it will
	report that target received signal SIGINT. This patch sets this
	field to false for new connections, thus stepi/nexti will work
	properly when it is a first resume command.  Change-Id: I7c9ebd69c3dc35f3e316041aa99f4e9d3425c0b6 Signed-off-by:
	Anton Kolesov <akolesov@synopsys.com> Reviewed-on:
	http://openocd.zylin.com/1587 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-03-13  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Rewrite read/write buffer default implementations Rewrite the target_*_buffer_default to generate as large accesses as
	possible while maintaining natural alignment.  These versions are easy to extend to generate 8-byte accesses to
	support 64-bit targets, although it requires some conformity from
	all target implementations (i.e. they need to refuse unsupported
	access sizes with some defined error code, so we can try again with
	a smaller one).  Change-Id: I00ddcbb1d2fd33f9f8b99cb448cc93505a2421fc Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1221 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-10  Paul Fertser <fercerpav@gmail.com>

	* : sysfsgpio: fix a typo in the informational output Change-Id: I0c9bc281e4e913f9eacba3b8b60585217a1caf2e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1616 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-09-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: remove clang warning about global var 'match' remove clang warning - "Argument to free() is the address of a
	global variable, which is not memory allocated by malloc()".  Change-Id: I015273eafc9644207684b363434c6ae8149bfcde Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1613 Tested-by: jenkins

2013-07-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : flash: add NXP LPC800 support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 Change-Id: I142fa6f29e66fd334baca14217aca97e1fc6c7d9 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1509 Tested-by: jenkins

2013-08-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove unimplemented target_request_data implementations Change-Id: Ia9afa83752d17f0f56bdf3bd81f5c69d108aa5e9 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1537 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-08-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove unimplemented soft_reset_halt implementations Let the default handler issue an unsupported warning rather than
	using empty handler routines that may/may not issue a unsupported
	warning.  Change-Id: Iafe3e45146981a4cfae39771c3ab7370ac86da48 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1535 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Hsiangkai Wang <hsiangkai@gmail.com>

2013-08-09  Cosmin Gorgovan <cosmin@linux-geek.org>

	* : mini51: support for Nuvoton NuMicro Mini51 series flash memory Adds a flash driver for Nuvoton MINI51, MINI52 and MINI54
	microcontrollers.  At the moment, it only supports the erase and write operations.  These microcontrollers have a 4 / 8 / 16 KB APROM for application
	code and a 2 KB LDROM for bootloaders. When the MCU has booted off
	the APROM, the LDROM isn't mapped in memory but can be programmed,
	and the other way around.  This means that the ARM core is typically
	rebooted for programming. After a successful write or erase
	operation, it is rebooted again, using the initial boot source.  This driver only supports programming the APROM.  This driver is a pure JTAG implementation, it doesn't use any SRAM.  I've tested it on a MINI54ZAN microcontroller using an ST-LINK/V2.
	With the microcontroller running at the default clock frequency of
	22.1184 MHz, speed seems to be around 1.1 KB/s.  Change-Id: I180889c55af9fb5614cd99a953b755baba14288a Signed-off-by:
	Cosmin Gorgovan <cosmin@linux-geek.org> Reviewed-on:
	http://openocd.zylin.com/1546 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-06  Franck Jullien <franck.jullien@gmail.com>

	* : jtag: drivers: Add JTAP VPI client driver This patch adds a driver for the jtag_vpi server [1]. This server is
	now part of the ORPSoC version 3 (OpenRISC Reference Platform SoC).
	The jtag_vpi server provides an interface between OpenOCD and a
	simulated core.  [1] http://github.com/fjullien/jtag_vpi Change-Id: I717b72cace4845f66c878581345074f99002e21a Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1609 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: add RTOS Support info Currently we have very little info about the RTOS support. This
	should improve that.  We also add info about what symbols are required for each supported
	RTOS.  This can be a trap, certainly when trying to use FreeRTOS
	support.  Change-Id: Ie57858571daca97515292ff5738a5a5ef55655b7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1538 Tested-by: jenkins

2013-08-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: fix stm32f1x dual bank detection Not all devices with devce id 0x419 have dual flash banks, only
	those with > 1024kB.  Change-Id: I197d2b87df7599cd0837e25648af48439f2f1e50 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1544 Tested-by: jenkins

2013-08-28  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: Remove error messages as no .get_gdb_fileio_info If target does not support semi-hosting function, it has no need to
	provide .get_gdb_fileio_info callback. OpenOCD will use default
	function target_get_gdb_fileio_info_default.  The default function
	just return ERROR_FAIL and gdb_server will treat every halted
	condition as normal halted and return "Txx" to gdb.  Change-Id: I9ddb2be3a1145eae2ef5b712bdea89eb2e0fbc20 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1586 Tested-by: jenkins Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2013-08-20  Andrey Yurovsky <yurovsky@gmail.com>

	* : stlink_usb: remove gcc-specific constant Replace 0b10 with 0x02, 0b is a GCC extension and isn't supported by
	clang, for instance, so compiling on OS X will fail.  No functional
	changes.  Change-Id: Ie882be1563df03e7ad3da0bc9aee65a907a29549 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1560 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-08-15  Franck Jullien <franck.jullien@gmail.com>

	* : doc: Add gdb target description commands Change-Id: Ie74917082e894cfa8ee2258f7a8cdf7d58ee4a59 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1552 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-13  Paul Fertser <fercerpav@gmail.com>

	* : interface/ftdi/tumpa: remove ftdi_device_desc as it's incorrect The end users on IRC report that actual USB device has different
	information in its descriptor so it doesn't match. Remove it
	altogether.  Change-Id: Id7841667390a514581e630e67b9283675803135b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1548 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-22  Andrey Yurovsky <yurovsky@gmail.com>

	* : stm32lx flash: fix flash size for Medium+ devices Unfortunately the Medium+ density and 0x436 devices have their
	F_SIZE register at a different location: 0x1FF800CC instead of
	0x1FF8004C.  Fix this for the 0x427 Medium+ devices and also the
	0x436 devices.  Furthermore, for 0x436 devices the flash size is
	reported as a 0 or 1 code rather than the size in Kb.  Please see
	RM0038 r8 or newer for an explanation, as noted in the comments.  Change-Id: Ie03b1e119a61f2a854bc2ccc5f90ce3e8852e272 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1522 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-08-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: remove mixed case typo Change-Id: Iae40c59ed21e72931d440814d112b3cd752aad9c Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1540 Tested-by: jenkins

2013-07-29  Paul Fertser <fercerpav@gmail.com>

	* : mdr32fx: support for Milandr's MDR32Fx internal flash memory This adds example config and flash driver for russian Cortex-M3
	microcontroller model.  Run-time tested on MDR32F9Q2I evaluation board; the flash driver
	should be compatible with MDR32F2x (Cortex-M0) too but I lack
	hardware to test.  There're no status bits at all, the datasheets specifies some delays
	for flash operations instead. All being in <100us range, they're
	hard to violate with JTAG, I hope. There're also no flash
	identification registers so the flash size and type has to be
	hardcoded into the config.  The flashing is considerably complicated because the flash is split
	into pages, and each page consists of 4 interleaved non-consecutive
	"sectors" (on MDR32F9 only, MDR32F2 is single-sectored), so the
	fastest way is to latch the page and sector address and then write
	only the part that should go into the current page and current
	sector.  Performance testing results with adapter_khz 1000 and the chip
	running on its default HSI 8MHz oscillator: When working area is specified, a target helper algorithm is used:
	wrote 131072 bytes from file testfile.bin in 3.698427s (34.609
	KiB/s) This can theoretically be sped up by ~1.4 times if the helper
	algorithm is fed some kind of "loader instructions stream" to allow
	sector-by-sector writing.  Pure JTAG implementation (when target memory area is not available)
	flashes all the 128k memory in 49.5s.  Flashing "info" memory region is also implemented, but due to the
	overlapping memory addresses (resulting in incorrect memory map
	calculations for GDB) it can't be used at the same time, so OpenOCD
	needs to be started this way: -c "set IMEMORY true" -f
	target/mdr32f9q2i.cfg It also can't be read/verified because it's not memory-mapped
	anywhere ever, and OpenOCD NOR framework doesn't really allow to
	provide a custom handler that would be used when verifying.  Change-Id: I80c0632da686d49856fdbf9e05d908846dd44316 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1532 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-11  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb_server: check target before executing event callback As debugging multi-targets, every target has its own gdb connection.
	If there are two connections, gdb_target_callback_event_handler will
	be registered twice.  Everytime event occurs, the registered
	callback will be executed twice.  If both targets are running, as
	user issues ctrl-c in one gdb client, both connections will send
	"stop reply" to GDB clients even TARGET_EVENT_GDB_HALT is caused by
	one of them.  The commit fix above problem as debugging multi-targets.  Change-Id: I1e12d4846927d7dcf1e3bb9aeb1affabc80df813 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1501 Tested-by: jenkins Reviewed-by: Sergey
	Borshch <sb-sf@users.sourceforge.net> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-01-02  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb_server: support File-I/O Remote Protocol Extension The File I/O remote protocol extension allows the target to use the
	host's file system and console I/O to perform various system calls.  To use the function, targets need to prepare two callback functions: * get_gdb_finish_info: to get file I/O parameters from target * gdb_fileio_end: pass file I/O response to target As target is halted, gdb_server will try to get file-I/O information
	from target through target_get_gdb_fileio_info(). If the callback
	function returns ERROR_OK, gdb_server will initiate a file-I/O
	request to gdb.  After gdb finishes system call, gdb will pass
	response of the system call to target through
	target_gdb_fileio_end() and continue to run(continue or step).  To implement the function, I add a new data structure in struct
	target, called struct gdb_fileio_info, to record file I/O name and
	parameters.  Details refer to GDB manual "File-I/O Remote Protocol Extension" Change-Id: I7f4d45e7c9e967b6d898dc79ba01d86bc46315d3 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1102 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-07  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb_server: support gdb target description * Add a parameter in .get_gdb_reg_list() to return different   register lists as generating target description.  * Modify STRUCT REG to let gdb generate target description   according to register information.  The modified structure of register is struct reg {         const char *name;         uint32_t number;  /* for regnum="num" */         struct reg_feature *feature;  /* for register group feature
	        name */ bool caller_save;  /* for save-restore="yes|no" */         void *value;         bool dirty;         bool valid;         bool exist;         uint32_t size;         struct reg_data_type *reg_data_type;  /* for type="type" */         const char *group;  /* for group="general|float|vector" */         void *arch_info;         const struct reg_arch_type *type; }; Change-Id: I2096b67adf94518ba0b8b23d8c6a9f64ad7932b8 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1382 Tested-by: jenkins Reviewed-by: Franck
	Jullien <franck.jullien@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-07-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : flash: add Winbond w25q80bv spi support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 Change-Id: Ibe87c617b3cdf70ee042112609ab46bea98a3e6d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1511 Tested-by: jenkins Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-07-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : mpsse: Add missing read buffer checks These two unused functions added reads without checking for
	available space.  Change-Id: I17dbbe9988b057e5a3a1768f405fc9d1027d1c01 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1500 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-25  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: add missing embKernel rtos arg to docs Change-Id: Ib304a2bf272d281f6cd124ffca95b32531d57899 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1529 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-07-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Fix out-of-tree build The current AX_CONFIG_SUBDIR_OPTION macro assumes that $srcdir is a
	relative path. If it is not, jimtcl/configure.gnu is generated such
	that an out-of-tree build will fail at the configure step unless the
	build dir is a sibling to the source dir.  Change the generated jimtcl/configure.gnu wrapper to use the same
	`dirname $0` trick as jimtcl/configure (which itself is a wrapper
	around autosetup).  Change-Id: I0fb19ae114ba37169b422b28313262f9bd83eb6f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1528 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2013-07-23  Paul Fertser <fercerpav@gmail.com>

	* : lpcspifi: assume flash is unprotected after probing Since the driver doesn't support any hardware flash protection, it
	doesn't make sense to report "protected" status after probing, as it
	requires extra commands to unprotect before flashing and might be
	confusing for the end-users.  Change-Id: I04d96790cc42412df5334951f39fb6723c972ced Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1525 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : rtos: issue warning on auto detect failure Currently if we fail to auto detect an rtos then no warning is
	given.  This can also be triggered if we only find some of the rtos
	symbols.  Change-Id: I215991bbce0909bc6af93560b0f55db13defd123 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1514 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-07-16  Paul Fertser <fercerpav@gmail.com>

	* : target: fix halt and wait_halt timeout units Documentation says they should be given values in milliseconds,
	DEFAULT_HALT_TIMEOUT matches that too.  Change-Id: Ic1a30fa90f75b412c43fe50ba187d01c3d0a5fba Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1504 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-15  Oleksij Rempel <bug-track@fisher-privat.net>

	* : mips: add breakpoint support for EJTAG 2.0 EJTAG 1.5, 2.0 and 2.5 have different breakpoint register addresses.
	This patch add support of EJTAG 2.0, which is part some broadcom
	SoCs.  This work was testet on Broadcom BCM7401.  Change-Id: I4b0ee23871fa9205f9001b7c9165e7b6ebe9ccbf Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1464 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-20  Oleksij Rempel <bug-track@fisher-privat.net>

	* : mips32_pracc: jump to 0xff20.0200 if cpu reads wrong addr On some CPUs, like bcm7401 with EJTAG v2.0 we can have situation
	where CPU do not stops execution. For example, all CP0 commands will
	have this issue.  In this case we should some hove recover our
	session. Currently jump to 0xff20.0200 seems to be good option. If
	it brake some thing on newer EJTAG, then check for EJTAG v2.0 should
	be added.  Change-Id: Icd8841f38a1a85e0f7682b6dc358af8dfaae0744 Signed-off-by:
	Oleksij Rempel <bug-track@fisher-privat.net> Reviewed-on:
	http://openocd.zylin.com/1353 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-18  Oleksij Rempel <bug-track@fisher-privat.net>

	* : do not wait forever on ejtag_dma_dstrt_poll Change-Id: I26adab09839795ecf363b7db912392bd5314cec5 Signed-off-by:
	Oleksij Rempel <bug-track@fisher-privat.net> Reviewed-on:
	http://openocd.zylin.com/1344 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-15  Oleksij Rempel <bug-track@fisher-privat.net>

	* : mips_ejtag: remove memory protection bit before DM Change-Id: Id1564ae063cea4f056b350436d52df5381ca9608 Signed-off-by:
	Oleksij Rempel <bug-track@fisher-privat.net> Reviewed-on:
	http://openocd.zylin.com/1341 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-07  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : OpenULINK firmware: update firmware hex image This image has been re-compiled with SDCC 3.3.0 and achieves
	slightly better performance (50-100 Byte/s for STM32F103 flash
	write) due to new/improved compiler optimizations.  Successfully tested with ULINK probe and STM32F103 (debug, erase and
	write flash).  Change-Id: I4329aa42f50461fa3719fd63d0054d8e86982727 Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1486 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-07-04  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : OpenULINK firmware: Use C99 designated struct initializers Recent versions of SDCC added support for C99 designated struct
	initializers.  This provides better code readability (no functional
	changes).  Successfully tested with ULINK probe and STM32F103 (debug, erase and
	write flash).  Change-Id: Idfa35147d2c3043baaa21a811b926b3845c85f9b Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1484 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-07-04  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : OpenULINK firmware: fix name of USB Jump Table symbol Fix a case mistake in the name of the USB Jump Table
	("USB_jump_table" vs. "USB_Jump_Table") which led to an assembler
	error when attempting to build the firmware with recent SDCC
	versions, because the assembler now treats symbol names as
	case-sensitive.  Successfully tested with ULINK probe and STM32F103 (debug, erase and
	write flash).  Change-Id: I979667b9130efcdccc3ac73269c38f06e0590048 Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1482 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-06-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: use consistent halt timeout On slow targets we sometimes get false messages about timeouts due
	to poll using 1sec rather than the default 5sec timeout.  Change-Id: Icc81c78e0ca86cebf9eeb2f5307cf7a82f1f4ee8 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1466 Tested-by: jenkins

2013-06-24  Robert Jarzmik <robert.jarzmik@free.fr>

	* : jtag/drivers: trivial variable renaming Rename ublast_sleep() time variable from ms to us as the unit is in
	micro-seconds.  Change-Id: I07ff9c36d302d5d59edb8a5faa73d78cdd6145a4 Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Reviewed-on:
	http://openocd.zylin.com/1457 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : automake: Don't install libopenocd Regular users (and probably no-one else either) have no use for this
	library that is installed by default.  Change-Id: Ie94e1550cec33f26ef9b68e7ce4f46494f18e644 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1479 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-06-28  Marek Vasut <marek.vasut@gmail.com>

	* : ftdi/board: Add support for DENX M53EVK Add support for DENX M53EVK board and it's integrated on-board JTAG
	adapter using FT2232H.  Change-Id: I022dcafa7799bb84a7873ba67ed82f1e49094320 Signed-off-by:
	Marek Vasut <marek.vasut@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1461 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-07-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ftdi: Fix error in calloc retval check Found by clang.  Change-Id: Iaa952b063779f4d392d8bdc62a3e7ce9daef2740 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1498 Tested-by: jenkins Reviewed-by: Laszlo
	Papp <lpapp@kde.org> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/stm32*: Rewrite info functions Factor out common bit masking and printing code and use intermediate
	strings to avoid buffer size handling.  Change-Id: I7d8c12df11ade6cdca8c917b5524372daa498bf4 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1496 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add missing stm32l medium+ device id The device was correctly used in stm32lx_probe but missing from
	stm32lx_get_info.  Change-Id: If288b8df3210a945e727e4e27cfbdb948db32fc7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1491 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2013-07-08  Paul Fertser <fercerpav@gmail.com>

	* : target: remove double const specificator Double const is bogus and breaks the build on Clang 3.3.  Change-Id: I9f9394d17f66289ac74ae6dd48f3165483b72e9e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1489 Reviewed-by: Laszlo Papp
	<lpapp@kde.org> Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>
	Tested-by: jenkins

2013-07-06  Paul Fertser <fercerpav@gmail.com>

	* : aice: fix FTBFS on ARM This fixes a bunch of errors like this: aice_usb.c: In function
	'aice_pack_htdc': aice_usb.c:63:4: error: cast increases required
	alignment of target type [-Werror=cast-align] Compile-tested only.  I think this can be seen as another justification for an ARM Jenkins
	build target.  Also, the aice code I've seen so far seems to be assuming it runs on
	a little-endian machine so probably there're some endianness issues
	hiding. Hsiangkai, please get an old PowerPC Mac (or at least some
	fast usb-equipped MIPS SOHO WiFi AP/router for which you can
	cross-compile OpenOCD with OpenWrt) and do some real-life testing
	for your code on Big-Endian. I propose it to be a requirement for
	any non-trivial code submitted by a commercial entity of reasonable
	size.  Change-Id: I45e05257687d0020d7172b26a8666ebc1950e00c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1477 Tested-by: jenkins Reviewed-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-09  Laszlo Papp <lpapp@kde.org>

	* : ftdi/xds100v2.cfg: Remove the warning as it has been tested Change-Id: I3a8711867e247bc49caa79274ae882f07719d4ce Signed-off-by:
	Laszlo Papp <lpapp@kde.org> Reviewed-on:
	http://openocd.zylin.com/1492 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2013-07-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : usb_blaster: maintainer-clean Makefile.in Change-Id: I120fc13a353c63e12d89698869b30c8e751db074 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1480 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-21  Spencer Oliver <spen@spen-soft.co.uk>

	* : doxygen: use inline jtag state maching image The currently used image is 404 so use an inline image instead.  Change-Id: I56a0d187fd06dc2c5c370e6532d89815ccec63d6 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1451 Tested-by: jenkins

2013-06-23  Robert Jarzmik <robert.jarzmik@free.fr>

	* : target: xscale more human vector catching Replace hexadecimal masks for vector catching with words
	representing the caught exception, such as dabt for data abort, etc
	...  This way, the new xscale command is :  - xscale vector_catch    Reads back to the user the current vector catching status  - xscale vector_catch reset dabt pabt    Sets the caught vectors to data abort and prefetch abort    for example.  This is mostly taken from Cortex-M3 openocd code.  Change-Id: I66591d5796f0e07f0f31edc8d28722e1e48aa8c5 Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Reviewed-on:
	http://openocd.zylin.com/1456 Tested-by: jenkins Reviewed-by: Marek
	Vasut <marek.vasut@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-05-27  Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de>

	* : at91sam3: Added support for at91sam3sd8a and b This update is untested due to missing hardware.  Change-Id: Ibe286b741ebbb1c8ae0bd3dea4b8f3e12320ab34 Signed-off-by:
	Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de> Reviewed-on:
	http://openocd.zylin.com/1423 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-19  IS2T <devel@is2t.com>

	* : Support for SST 39VF3201C NOR flash  * Add Thumb-2 code to write flash memories that don't support DQ5
	 polling * Make sure default values for unlock commands are set even if there
	 is no PRI information given by the flash * Add a fixup to disable DQ5 polling for the SST 39VF3201C Change-Id: Ib08cf20547d0f500d5f78241521e6b49050c3d40 Signed-off-by:
	IS2T development team <dev.is2t@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1449 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-02  Zied Guermazi <guermazi.zied@gmail.com>

	* : keep gdb aware of threads if RTOS is set but no threads are
	created if gdb server (openocd) answers qfThreadInfo with an empty string
	during boot, gdb will not request thread info anymore. to keep
	thread awareness in gdb, we have to answer with a non empty string,
	'l' indicates an end of list, and is a valid answer here.  Change-Id: I7870a5db1090c786f306db16a25871e69b8a9760 Signed-off-by:
	Zied Guermazi <guermazi.zied@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1432 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Allow autoscan up to 64 bit IR lengths Change-Id: Ib15ff67b57606fe6c7997f3f9bd90e096acd5f3d Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/832 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2013-06-16  Robert Jarzmik <robert.jarzmik@free.fr>

	* : drivers/jtag: usb_blaster add pin controls Add pin controls (pin6 and pin8). These pins can be controled either
	 : - with a fixed value (0 or 1)  - by TRST or SRST reset signal (driven low when signal  activated).  Change-Id: Ie6a3e57fc6ba6a38fdb9a009c976e3febab8f578 Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Reviewed-on:
	http://openocd.zylin.com/1448 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2013-06-21  Antonio Borneo <borneo.antonio@gmail.com>

	* : flash/nor/spi: add flash Micron n25q064 Change-Id: Ic39bb6d020767cece2eaa4e194071be8b002ece4 Signed-off-by:
	Antonio Borneo <borneo.antonio@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1452 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-19  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f2x: Correct calculation of number of 128k sectors.  Fixes regression introduced in 9785f51f that caused write outside
	allocated memory during probe of devices with <1024K flash.  Reported-by: Alexander Pakhomov <ker0sin@yandex.ru> Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Change-Id:
	Ifba8833e436064624efbf678162538fd351a5702 Reviewed-on:
	http://openocd.zylin.com/1450 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: fix incorrect configure quotes Change-Id: I427035df1ab2bfb2ec6ac8fafc9683f7d3e3bf06 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1444 Tested-by: jenkins

2013-03-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : [RFC] mips: Enable bulk write optimization for all writes mips_m4k_bulk_write_memory was only called from target_write_buffer
	as an optimization when the word count was large enough.  Remove mips_m4k_bulk_write_memory from the target type, causing the
	default implementation to call the regular mips_m4k_write_memory
	instead.  Perform the dispatch to bulk write in mips_m4k_write_memory,
	enabling the optimization for target_write_memory() writes with size
	4, in addition to target_write_buffer() writes.  It also enables making the choice of bulk write vs regular write
	specifically for the architecture and not relying on the generic
	target code to make a sensible decision.  Change-Id: I295f21a67ceaa195802403f2518ea2e0a025c1c7 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1215 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins

2013-06-09  Giuseppe Barba <giuseppe.barba@gmail.com>

	* : stm32w: add STM32w108xx generic configuration Add generic TCL configuration for STM STM108Wxx chips.  Change-Id: I981cdccb78833f442c3be4188c8c023064067e4e Signed-off-by:
	Giuseppe Barba <giuseppe.barba@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1439 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_a: remove memory leak on failure If mem_ap_sel_write_atomic_u32 fails then tmp_buff may not be
	released.  Detected by clang.  Change-Id: I3d5416bd47d0eea61f61ec02ac5e43c82f114108 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1433 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-06-11  Jim Norris <u17263@att.net>

	* : Change variable scope.  Change scope of the variable gdb_reg_list_idx from global to module.  Change-Id: Ib8273c0769c11c1d5a338e4711efbddb8e8a0243 Signed-off-by:
	Jim Norris <u17263@att.net> Reviewed-on:
	http://openocd.zylin.com/1441 Tested-by: jenkins Reviewed-by:
	Øyvind Harboe <oyvindharboe@gmail.com>

2013-05-31  Paul Fertser <fercerpav@gmail.com>

	* : libusb1_common, ftdi: clarify libusb_open error message Print a user-friendly message when libusb_open() fails, e.g.  Error:
	libusb_open() failed with LIBUSB_ERROR_ACCESS when there's a
	permissions problem.  Also output a configure warning if libusb older than 1.0.9 is
	detected.  Change-Id: I800f71f06672fe06c0a98a4e469f853b5021bcfe Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1430 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: fix incorrect GPL address from last commit 962b3eb40cc5b69d9b3d6fcc4c5d56c4d204a307 included the old GPL
	address.  Change-Id: I7affbdc3fc1c9251ea90796ab9eeef4d56ba4308 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1440 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2013-06-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : update files to correct FSF address Change-Id: I429f7fd51f77b0e7c86d7a7f110ca31afd76c173 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1426 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2013-02-05  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: add new target type nds32_v2, nds32_v3, nds32_v3m Add target code for Andes targets.  Change-Id: Ibf0e1b61b06127ca7d9ed502d98d7e2aeebbbe82 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1259 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-14  Robert Jarzmik <robert.jarzmik@free.fr>

	* : drivers/jtag: rewrite usb_blaster driver Rewrite the Altera USB Blaster dongle driver :  - make extensive use of byte-shift mode, to improve JTAG    speed.     This is the main reason of the rewrite. It improves the    memory dumps with a factor 3 at least, and upload 100    times, from 1 kBytes/sec to 100 kBytes/sec with a    USB-Blaster connected to an Altera Virtual JTAG TAP +    OpenRISC CPU.   - split the low level API part (between FTDI and FTD2xx)  from core driver, so that in the future, if both libftdi  and ftd2xx can coexist, the driver will be able to switch  dynamically from one access to the other.  Change-Id: I2ee9cedf4a5eb27501f337993ee0cdee52517e7c Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Signed-off-by: Marek Czerski
	<ma.czerski@gmail.com> Tested-by: Franck Jullien
	<franck.jullien@gmail.com> Reviewed-on: http://openocd.zylin.com/467
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-by: Alexandre Becoulet
	<alexandre.becoulet@free.fr> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-05-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cortex_a: fix FTBS on ARM due to alignment issues Native compilation on RaspberryPi with gcc (Debian 4.6.3-1) 4.6.3
	Target: arm-linux-gnueabi ends with error: cortex_a.c: In function 'cortex_a8_read_apb_ab_memory':
	cortex_a.c:2063:40: error: cast increases required alignment of
	target type [-Werror=cast-align] cc1: all warnings being treated as
	errors Also check for malloc failure.  This patch is compile-tested only.  Change-Id: I580c505424d03ac3a565de54182db22277c52ac1 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1369 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-04-22  William M.A. Traynor <wmat@alphatroop.com>

	* : user guide: Update the ZY1000 description.  As per request from Peter at Ultimate Solutions, updated the
	description of the ZY100 Stand-alone JTAG probe.  Signed-off-by: Bill Traynor <wmat@alphatroop.com> Change-Id: Ia5c0b9a7261becd524a02aba1b22a98a2e09a4c9 Signed-off-by:
	William M.A. Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/1357 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-11  Paul Fertser <fercerpav@gmail.com>

	* : cortex_m, hla_target: do not try asserting SRST if it's not
	present This should cover all the cases when RESET_SRST_NO_GATING is set
	without RESET_HAS_SRST. This might happen when RESET_SRST_NO_GATING
	is automatically set by a target code (and not from tcl).  However, there're some other places (mips_m4k, arm7_9_common) where
	adding RESET_SRST_PULLS_TRST would lead to trying to use SRST even
	if it's not present. Currently it's impossible for the user to
	enable that flag without enabling SRST.  Change-Id: Ib1c6f68feed0b8057d55afd5f260bb22ab332ced Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1405 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-23  Paul Fertser <fercerpav@gmail.com>

	* : targets: fix target_type name for Cortex-A targets Commit d9ba56c295f057e716519a798bf9cdb4898c24f4 did a bunch of
	renaming of cortex_a8 to cortex_a, including the names in config
	files. However that introduced a regression as the name in
	target_type struct remained unchanged.  This adds the last missing bit: actual renaming of the target name
	as understood by OpenOCD.  Also change the (hopefully) last instance of using it in the
	supplied config files, namely from imx6.cfg.  Change-Id: Ib9289fc6d946630133ec6e36c20015ccb50acf61 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1420 Tested-by: jenkins Reviewed-by: Chris
	Johns <chrisj@rtems.org> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-05-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : remote_bitbang: Convert to use getaddrinfo() Since gethostbyname() is deprecated and inconvenient, rewrite to use
	getaddrinfo() using an implementation more or less copied from its
	man page. This automatically enables support for IPv6.  This also fixes a FTBFS on ARM due to alignment issues.  Change-Id: I990a49506cac4b26faf77587937e506138371f7c Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1379 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-04-17  Ravaz <embkernel@gmail.com>

	* : Added: RTOS awareness for embKernel Change-Id: I98b60f50a5fc486bda83b83ad7ec73826ee11607 Signed-off-by:
	Ravaz <embkernel@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1334 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-03  Paul Fertser <fercerpav@gmail.com>

	* : telnet_server: support C-p, C-n for moving through history This modifies telnet server to allow using common readline
	combinations to move up/down history, without the need to touch
	cursor keys.  Change-Id: Ib659075883e91794b44f391f7c29bbdfdd679d10 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1376 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-05-03  Paul Fertser <fercerpav@gmail.com>

	* : sysfsgpio: do not try to initialise absent signals When e.g. SRST is not specified, the current code results in
	assigning 0 to srst_fd and subsequently a stray '1' is output on
	screen on reset.  Avoid this by not doing bogus initialisation.  Change-Id: Iadb847a384a927ae746124cf6e4e3c6cc8b11406 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1375 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-05-01  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb_server: remove target_handle_event from gdb event callback In target_call_event_callbacks(), it will execute 1. target_handle_event (use Jim_EvalObj() to evaluate event    statements in config files) 2. call user registered callbacks Before calling user registered callbacks, target_handle_event has
	been executed.  So, there is no need to call target_handle_event()
	in gdb event callback.  It will execute event statements in config
	files twice.  Change-Id: I84629e324fa3eb909907badf2319b4138ba89f07 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1372 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-05-05  Freddie Chopin <freddie.chopin@gmail.com>

	* : The openocd-0.7.0 release.  Change-Id: I08157f47ac056e6d2089119dd2d6cbab11b521e8 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-28  Freddie Chopin <freddie.chopin@gmail.com>

	* : doc: Update list of interfaces, targets and boards Change-Id: If9481e061f09a37f9ee3c461a1a0ce4d382a9a0d Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1366 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: remove whitespace Change-Id: I20edbb50efc03711195102f4c6dc8bcfaf043d44 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1374 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-04-28  Freddie Chopin <freddie.chopin@gmail.com>

	* : Restore -dev suffix Change-Id: I26f49e02d228b59533237607fa8307ecc627409e Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-02-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: rename cortex_a8 to cortex_a Rename cortex_a8 target to use a more correct cortex_a name.  This
	also adds a deprecated_name var so that older scripts issue a
	warning to update the target name.  cfg files have also been updated to the new target name.  Change-Id: I0eb1429c9281321efeb444b27a662a941a2ab67f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1130 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : Mention "lpc4300" (with "lpc1800" alias) flash drivers in manual Change-Id: I0bb28910b2c07b1ca5bd644e0d88b931d585d3e7 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1352 Tested-by: jenkins

2013-04-22  Christopher Kilgour <techie@whiterocker.com>

	* : kinetis: fix "SF1" parts to limit FlexRAM usage Ensure FlexRAM usage is limited to half the FlexRAM size when
	programming.  Assume the FlexNVM sector size is equal to half the
	FlexRAM.  Fix sector erase checking which had an error introduced
	  when the kinetis_ftfx_command( ) signature was changed.  Change-Id: I88edd9c7d4a4ba474cad7b00052feaeedfa8ced8 Signed-off-by:
	Christopher Kilgour <techie@whiterocker.com> Reviewed-on:
	http://openocd.zylin.com/1358 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-23  Spencer Oliver <spen@spen-soft.co.uk>

	* : arm: fix arm reg regression Seems commit fc2abe63fd3cea7497da7be2955d333bd3f800b9 caused a
	regression in that the arm reg cmd no longer worked. The issue was
	caused because we changed the value of ARM_MODE_THREAD which was
	being checked in arm_init_arch_info.  Change-Id: Id571d4ab336d1b0e2b93363147af245d24b65ca5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1362 Tested-by: jenkins Reviewed-by: Luca
	Bruno <lucab@debian.org> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-04-23  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb server: Fix bug. Parse 'M' packet error.  The format of 'M' packet is 'M addr,length:XX...'. The data follows
	':' immediately. No need to '+2' to SEPARATOR in unhexify(), because
	SEPARATOR points to data correctly.  Change-Id: I15b5758b540816cc727752e7bf68cd45e623f603 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1360 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-04-21  Freddie Chopin <freddie.chopin@gmail.com>

	* : Restore -dev suffix Change-Id: I3662c5993766a76d6dd62b919c56cc059c4e50d4 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : Add "lpc1800" alias for "lpc4300" flash driver Change-Id: I6d2bb9105cc778bd1d21580022529d684c3b21b0 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1351 Tested-by: jenkins

2013-04-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : Improve HACKING Reword info about creating SSH key - it's not required to add it to
	Github account. Mention adding created SSH key to Gerrit account -
	without this step it's not possible to access Gerrit in further
	steps.  Change-Id: Ibd81521fbe47d4b4beae0b77cdc9d939fd3ee20c Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1350 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2013-04-19  R. Steve McKown <rsmckown@gmail.com>

	* : Support newer OSBDM firmware OSBDM: add new VID:PID implemented in OSJTAG/OSBDM firmware
	somewhere between versions 30.13 and 31.21.  PFLASH programming
	works with this patch, tested on a Freescale Kinetis TWR-K20D72M
	using its onboard OSBDM JTAG adapter.  Note: flash program testing required hacking kinetis_write() to
	force longword programming, as the FTFL program section commands
	formulated by kinetis_write() currently fail on this board's
	PK20DX256VLL7 processor.  Change-Id: Ib7b92ff2fe9ebf6158fb1489f554a19e96cd9651 Signed-off-by:
	R. Steve McKown <rsmckown@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1348 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-03  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: m4k alternate pracc code. Patch 4 Now all the functions with only fetch accesses are modified.  The
	same delay between scans has been added to
	mips32_pracc_fastdata_xfer(), it should work at the same scan rates
	as the other pracc functions, but it needs higher scan_delays to
	work.  Change-Id: Ifb31d8ea6de9d22674385782913d221a2494dbbf Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1196 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-03-03  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: m4k alternate pracc code. Patch 2 Each pracc function defines a variable ctx of type struct
	pracc_queue_info.  To simplify the code tree auxiliary functions are
	defined: pracc_queue_init(), pracc_add() and pracc_queue_free().
	The second parameter in pracc_add() is the store address if the
	instruction is a store at dmseg, otherwise it should be 0.  The code
	is executed by mips32_pracc_queue_exec(). If ejtag_info->mode is 0
	mips32_pracc_exec() is called and it should work like with current
	code.  To generate the delay between scans the number of clock ticks
	are calculated with the help of jtag_get_speed_khz(). Due to delays
	in the execution of each single ftdi instruction the number of ticks
	are higher as it should be, specially at higher scan rates.
	mips32_pracc_read_u32() should now work with the new code.  Change-Id: I471590a4fc89b56af10bd46c48767b4c64de154f Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1194 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : Improve clone command in README Without the explicit dir at the end the repository will be cloned to
	"code".  Change-Id: Icd8b55b4ba74f23b214c3844e2fb785377768119 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1349 Reviewed-by: Øyvind Harboe
	<oyvindharboe@gmail.com> Tested-by: jenkins

2013-04-17  Ben Nahill <bnahill@gmail.com>

	* : topic: STM32W support added to em357 driver The em357 driver only supported one page configuration (192k in 96
	2048k) pages. This is fine for em357 chips since that's the size
	they have, but ST's STM32W chips (pretty much the same) have
	different flash configurations available (64, 128, 192, 256k). I
	can't find anywhere that would indicate the size of the chip
	anywhere in memory so the selection must be manual, using the 'size'
	parameter. For backwards compatibility, any size not known to be in
	use defaults to the 192k configuration. I don't have any em357
	devices to test, but I also found that I had to re-assert the FPEC
	clock enable before performing an erase. This is a single line and
	shouldn't break any configurations.  My testing so far has only been with a 64k device with 8k of RAM.  Change-Id: Ic0ac400a9696efaa09d1407dd4a4d456bc2c318b Signed-off-by:
	Ben Nahill <bnahill@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1336 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-04-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: fix connect under reset issues We need to make sure that srst is asserted before we attempt to
	switch into jtag or swd mode otherwise we receive a error (-9) -
	invalid device id.  Change-Id: I625166c751cfba8e8a5290f40122bb9afc9dbb39 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1315 Tested-by: jenkins

2013-03-19  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ft2232: remove ft2232_large_scan memory leak This is a very long outstanding issue see:

	http://lists.berlios.de/pipermail/openocd-development/2011-June/019404.htmlAs this driver is deprecated the fix is added to purely to reduce
	the warnings reported by clang.  Change-Id: I3a16a704e0e8db27efda50fdcfdd35abf5ebed0f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1278 Tested-by: jenkins

2013-03-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : jimtcl: update embedded jimtcl Update to latest jimtcl commit
	2c1eba991e21a6f0b531fb0f83e21f9e6ee7c515.  This fixes issues when
	building on certain versions of Mac OSX.  Change-Id: I551477752d7913c84e6deb60b889d0c14bd200a0 Signed-off-by:
